<?php
class CallForwardCriteriaPropertyCapability  {

	private $mTitle;
	private $mName;
	private $mCallForwardCriteriaSubProperties = array();

	public function setTitle($title) {
		$this->mTitle = $title;
	}

	public function getTitle() {
		return $this->mTitle;
	}
	
	public function setName($name) {
		$this->mName = $name;
	}
	
	public function getName() {
		return $this->mName;
	}
	

	public function addSubCallForwardCriteriaProperty(CallForwardCriteriaProperty $property) {
		$this->mCallForwardCriteriaSubProperties[] = $property;
	}

	public function toJSON() {
		$json_Data = array();
		$json_Data['name'] = CHtml::encode($this->mName);
		$json_Data['title'] = CHtml::encode($this->mTitle);

//		$json_Data['propertyTypes'] = array();

		foreach ($this->mCallForwardCriteriaSubProperties as $property) {
			$json_Data['propertyTypes'][] = json_decode($property->descriptionToJSON());
		}


		return json_encode($json_Data);
	}
}


