<?php
return array(
        'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
        'name'=>'ergophone',
        'preload'=>array('log'),
         'import'=>array(
                'application.components.*',
                'application.models.*',
        ),
        // application components
        'components'=>array(
               'db'=>array(
                    'connectionString' => 'sqlite:'.dirname(__FILE__).'/../data/phonalisa.db',
                    'enableProfiling'=>true,
                    'enableParamLogging'=>true,
                ),
                 'log'=>array(
            'class'=>'CLogRouter',
            'routes'=>array(
                array(
                    'class'=>'CFileLogRoute',
                    'levels'=>'error, warning, notice',
                ),
                /*
array(
                    'class'=>'ext.yii-debug-toolbar.YiiDebugToolbarRoute',
                    //'ipFilters'=>array('127.0.0.1','192.168.1.*', 88.23.23.0/24),
                )
*/
                // uncomment the following to show log messages on web pages
                /*
                array(
                    'class'=>'CWebLogRoute',
                ),
                */
            ),
        ),
//         'functions'=>array(
//                 'class'=>'application.extensions.functions.Functions',
//         ),
        ),
);
?>