<?php
$this->widget('ext.PlGrid.PlGridView', array(
        'id'=>'price-tag-grid',
        'headerTitle'=>'Header_title', // optional
        'addButtonTitle'=>'ADD_NEW_PRICETAG', // optional
        'searchButtonTitle'=>'SEARCH_PRICETAG', // optional
        'modalCreateHeader'=>'PRICETAG_HEADER_CREATE', // optional
        'modalUpdateHeader'=>'PRICETAG_HEADER_UPDATE', // optional
		'headerAttribute'=>'name',
        'enableSearchButton' => false,

//        'headerAttribute'=>'name', // TEST
        
	'customButtons'=>array(
	    array(
		    'label'=>__('ADMIN_BILLING_USER_BALANCE_LIST'),
            'icon' => 'user',
            'url'=>url('adminBilling'),
            'active'=>false,
            'linkOptions' => array('data-translation-id'=>'ADMIN_BILLING_USER_BALANCE_LIST')
        ),
        array(
            'label'=>__('ADMIN_BILLING_PRICE_LIST'),
            'icon' => 'euro',
            'url'=>url('adminBilling/default/priceList'),
            'active'=>true,
            'linkOptions' => array('data-translation-id'=>'ADMIN_BILLING_PRICE_LIST'),
        ),
	),
	
	
        'itemsCssClass'=>'plTable items',
        'dataProvider'=>$model->search(),
        'filter'=>$model,
        'modalSize' => 'large', // null, 'large', 'small', 'huge'
        'columns'=>array(
 
	        array(
	                'name' => 'name',
	                'header' => __('PRICETAG_MODEL_NAME'),
	                'headerHtmlOptions'=>array('data-translation-id'=>'PRICETAG_MODEL_NAME'),
	        ),
	        array(
	                'name' => 'price',
	                'header' => __('PRICETAG_MODEL_PRICE'),
	                'headerHtmlOptions'=>array('data-translation-id'=>'PRICETAG_MODEL_PRICE'),
	                'type'=>"raw",
	                'value'=>array($this,'renderPrice'),

	        ),
	        array(
	                'name' => 'pattern',
	                'header' => __('PRICETAG_MODEL_PATTERN'),
	                'headerHtmlOptions'=>array('data-translation-id'=>'PRICETAG_MODEL_PATTERN'),
	        ),
		array(
		    'class'=>'ext.PlGrid.PlCButtonColumn',
		    'template'=>'{ajaxUpdate}{delete}',
		    'htmlOptions'=>array('data-translation-target'=>'USER_ERROR_MESSAGE_TRANSLATIONS'),
		)
        ),

    )
);

?>

<style>
    .grid-view {
        padding-top: 0;
    }
</style>