<?php

$form = $this->beginWidget('ext.PlGrid.PlActiveForm', array(
    'id' => 'audio-files-form',
    'gridId' => 'audio-file-grid',
    'displayProgressBar' => true,
    'action' => $model->isNewRecord ? array('create') : array()
        ));


$this->widget('bootstrap.widgets.TbTabs', array(
    //'type' => 'tabs', // Menu type. Valid values are tabs, pills and list.
    'tabs' => $this->getTabularFormTabs($form, $model),
    'htmlOptions' => array('data-translation-target' => 'PHONESETTINGS_AUDIOFILES_TAB_MENU_HEADER_TRANSLATION'),
));

echo $form->errorSummary($model);
$this->endWidget();

if (Yii::app()->user->translateMode) {

    $translationTarget = 'data-translation-target';
    $translationID = 'data-translation-id';
    $dataTranslation = 'AUDIOFILES_MODEL_DATA_TRANSLATION';
    $audioFilesData = 'AUDIOFILES_MODEL_DATA';
    $audioFormatErrMsg = 'AUDIOFILES_ERROR_MESSAGE_NO_VALID_AUDIO_FORMAT';
    $generalDataTab = 'PHONESETTINGS_AUDIOFILES_CONTROLLER_TAB_MENU_GENERAL_DATA';
    $useCaseTab = 'PHONESETTINGS_AUDIOFILES_CONTROLLER_TAB_MENU_USECASE';
    $useCase = 'AUDIOFILE_MODEL_USECASE_';
    $exceptedFile = 'FILE_VALIDATOR_EXCEPTED_FILE_INFO';
    $receivedFile = 'FILE_VALIDATOR_RECEIVED_FILE_INFO';
    $startRecordLabel = 'AUDIOFILES_MODEL_START_RECORD_LABEL';

    echo "<i $translationTarget='$dataTranslation' $translationID='$audioFilesData'></i>";
    echo "<i $translationTarget='$dataTranslation' $translationID='$audioFormatErrMsg'></i>";
    echo "<i $translationTarget='$dataTranslation' $translationID='$startRecordLabel'></i>";

    echo "<i $translationID='$generalDataTab'>" . __("$generalDataTab") . "</i><br />";
    echo "<i $translationID='$useCaseTab'>" . __("$useCaseTab") . "</i><br />";

    foreach (AudioFileUseCase::allUseCases() as $name => $value) {
        $useCaseName = $useCase . $name;
        echo "<i $translationID='$useCaseName'>$useCaseName: " . __("$useCaseName") . "</i><br />";
    }

    echo "<i $translationID='$exceptedFile'>$exceptedFile: " . __("$exceptedFile") . "</i><br />";
    echo "<i $translationID='$receivedFile'>$receivedFile: " . __("$receivedFile") . "</i><br />";
}
