function subscribeForEvents()
{
    sendCommand("subscribeJobEvents");
    ws.subscribe("jobChanged",null, function(data) {
        onJobChangedEvent(data.job);
    });
    sendCommand("subscribeNetworkScanResultEvents");
    ws.subscribe("networkScanResultChanged",null, function(data) {
        onNetworkScanResultChanged(data.networkScanResult);
    });   
}

function sendCommand(commandName) 
{
    ws.sendAuthenticatedCommand({
        name: commandName,
        type: "command",
        uuid: ws.generateUUID()
    });
}

subscribeForEvents();