<?php
/**
 * TbInput class file.
 * @author Christoffer Niska <ChristofferNiska@gmail.com>
 * @copyright Copyright &copy; Christoffer Niska 2011-
 * @license http://www.opensource.org/licenses/bsd-license.php New BSD License
 * @package bootstrap.widgets.input
 */

/**
 * Bootstrap input widget.
 * Used for rendering inputs according to Bootstrap standards.
 */
 Yii::import('bootstrap.widgets.input.TbInput');
 
abstract class PlInput extends TbInput
{
	// The different input types.
	const TYPE_COLOR = 'color';
    const TYPE_DATE = 'date';
	
}
