<div id="contactHeader">
    <div id="avatarBox">
        <div class="avatarPreview <?php echo $addressImageClass; ?>" style="<?php echo $addressImageStyle; ?>">
            <div class="avatarBtn" id="uploadAvatar">
                <?php
                echo CHtml::activeFileField(
                        $model, 'contact_jpegphoto', array(
                    'disabled' => 'disabled',
                    "accept" => implode(",", array(
                        image_type_to_mime_type(IMAGETYPE_GIF),
                        image_type_to_mime_type(IMAGETYPE_JPEG),
                        image_type_to_mime_type(IMAGETYPE_PNG))),
                        )
                );
                ?>
                <i class="icon-picture"></i>
            </div>
            <div class="avatarBtn" id="removeAvatar"><i class="icon-trash"></i></div>
        </div>  
    </div>   

    <div id="nameCell">

        <?php
        echo $form->textField($model, 'n_prefix', array(
            'maxlength' => 'auto',
            //'data-placeholder'=>'',
            'disabled' => 'disabled',
            'data-placeholder' => $model->getAttributeLabel('n_prefix'),
            'data-translation-id' => 'ADDRESSESS_MODEL_N_PREFIX',
        ));
        echo $form->textField($model, 'n_given', array(
            'maxlength' => 'auto',
            'disabled' => 'disabled',
            'data-placeholder' => $model->getAttributeLabel('n_given'),
            'data-translation-id' => 'ADDRESSESS_MODEL_N_GIVEN',
            'class' => $protected ? 'protected' : null,
        ));

        echo $form->textField($model, 'n_middle', array(
            'size' => 45,
            'maxlength' => 64,
            'disabled' => 'disabled',
            'data-placeholder' => $model->getAttributeLabel('n_middle'),
            'data-translation-id' => 'ADDRESSESS_MODEL_N_MIDDLE',
        ));

        echo $form->textField($model, 'n_family', array(
            'size' => 45,
            'maxlength' => 64,
            'disabled' => 'disabled',
            'data-placeholder' => $model->getAttributeLabel('n_family'),
            'data-translation-id' => 'ADDRESSESS_MODEL_N_FAMILY',
            'class' => $protected ? 'protected' : null,
        ));

        echo '<br>';
        echo $form->textField($model, 'org_name', array(
            'size' => 60,
            'maxlength' => 128,
            'disabled' => 'disabled',
            'data-placeholder' => $model->getAttributeLabel('org_name'),
            'data-translation-id' => 'ADDRESSESS_MODEL_ORG_NAME',
            'data-max-width' => '400',
        ));
        ?>
    </div>
</div>