<?php

$this->widget('ext.PlGrid.PlGridView', array(
    'id' => 'translate-mode',
    'useCustomTitle' => true,
    'headerTitle' => 'TRANSLATE_MODE', // optional
    'enableAddButton' => false,
    'enableSearchButton' => false,
    'customButtons' => array(
        'label' => __('GLOBAL_BACK'),
        'url' => $returnUrl,
        'icon' => 'arrow-left',
        'linkOptions' => array(
            'id' => 'back_button',
            'data-target' => '#',
            'data-translation-id' => 'GLOBAL_BACK'
        ),
    ),
    'itemsCssClass' => 'plTable items',
    'dataProvider' => $dataProvider,
    'helpBtnUrl' => 'translate-mode',
    'columns' => array(
        array(
            'name' => 'translationTags',
            'header' => __('TRANSLATE_MODE_TRANSLATION_TAG'),
            'type' => 'raw',
            'headerHtmlOptions' => array(
                'data-translation-id' => 'TRANSLATE_MODE_TRANSLATION_TAG'
            ),
        ),
        array(
            'name' => 'content',
            'header' => __('TRANSLATE_MODE_TRANSLATION_TAG_ENTRY'),
            'type' => 'raw',
            'headerHtmlOptions' => array(
                'data-translation-id' => 'TRANSLATE_MODE_TRANSLATION_TAG_ENTRY'
            ),
        )
    )
        )
);



