<?php

$form = $this->beginWidget('ext.PlGrid.PlActiveForm', array(
    'id' => 'sip-accounts-form',
    'gridId' => 'sip-accounts-grid',
    'action' => $model->isNewRecord ? array('create') : array()
        ));

echo $form->textFieldRow($model, 'authname', array(
    'class' => 'span3',
    'data-translation-id' => 'SIPACCOUNT_MODEL_AUTHNAME',
    'data-translation-target' => 'AUTHNAME_ATTRIBUTE',
));


echo $form->textFieldRow($model, 'secret', array(
    'class' => 'span3',
    'maxlength' => 40,
    'autocomplete'=>"off",
    'data-translation-id' => 'SIPACCOUNT_MODEL_SECRET',
));

$userIdDropdownHtmlOptions = array(
    'data-translation-id' => 'SIPACCOUNT_MODEL_USER_ID',
);

if (count($sortedListData) === 1 && array_key_exists($model->user_id, $sortedListData)) {
    $userIdDropdownHtmlOptions["disabled"] = "disabled";
}
if (count($sortedListData)) {
    echo $form->dropDownListRow($model, 'user_id', $sortedListData, $userIdDropdownHtmlOptions);
}
$this->endWidget();
if (Yii::app()->user->translateMode) {
    echo '<i data-translation-target ="AUTHNAME_ATTRIBUTE" data-translation-id="AUTHNAME_IS_UNIQUE_ERROR_MESSAGE"></i>';
}
?>