<?php

if (is_object($column)) {
    $columnName = $column->name;
} else {
    $columnName = $column;
}

$name = 'Tiers[' . $row . '][' . $columnName . ']';
$htmlOptions = array(
    'name' => $name,
    'data-custom-contexthelp-key' => 'TIERS_FOOTER_'.  strtoupper($columnName).'_CONTEXT_HELP'
);

if ($columnName == 'static_member') {
    $htmlOptions['class'] = 'span1';
    $html = CHtml::activeCheckBox($data, $columnName, $htmlOptions);
}
if ($columnName == 'position') {
    $htmlOptions['style'] = 'width:37px';
    $html = CHtml::activeTextField($data, $columnName, $htmlOptions);
}
if ($columnName == 'level') {
    //$htmlOptions['class'] = 'span1';
    $htmlOptions['style'] = 'width:50px';
    //FIXME remove level 0 and check array keys 
    $html = CHtml::activeDropDownList($data, $columnName, range(1, 10), $htmlOptions);
}
if ($columnName == 'queueId') {
    $html = CHtml::hiddenField('Tiers[' . $row . '][queueId]', $data->queueId, array('placeholder' => 'queueId'));
    $html.= CHtml::hiddenField('Tiers[' . $row . '][dataId]', $data->id, array('placeholder' => 'dataId'));

    if (!$data->isNewRecord()) {
        $queue = Queue::model()->findByPk($data->queueId);

        if ($queue) {
            $queueName = "<$queue->extension> $queue->name";
            $html.='<div style="display:inline;">';
            if (strlen($queueName) > 16) {
                $label = substr($queueName, 0, 13);
                $label = $label . '...';
            }
            $html.= isset($label) ? $label : $queueName;
            $html.= '</div>';
        }
    } else {
        $html.='<div></div>';
    }
}
if ($columnName == 'timeout') {
    $htmlOptions['maxlength'] = '2';
    $htmlOptions['style'] = 'width:21px';
    $html = '<div class="input-append">';
    $html .= CHtml::activeTextField($data, $columnName, $htmlOptions);
    $html .= '<span class="add-on">' . __('QUEUE_MODEL_WAITING_TIME_SECONDS') . '</span></div>';
}
echo $html;
