<?php $this->widget('bootstrap.widgets.TbNavbar', array(
    'brand'=>__('ANALYTICS_ROUTING_REPORT_MODULE_LABEL'),
    'brandUrl'=>'#',
    'fixed'=>false,
    'collapse'=>true, // requires bootstrap-responsive.css
    'items'=>array(
        array(
            'class'=>'bootstrap.widgets.TbMenu',
            'items'=>array(
                ),
        ),
    ),
));


$baseUrl = Yii::app()->baseUrl; 
$cs = Yii::app()->getClientScript();
//$cs->registerScriptFile($baseUrl.'http://d3js.org/d3.v3.min.js');
//$cs->registerScriptFile($baseUrl.'/js/hierarchicalVisualisation/visualisation.js');

?>


<div id="reportArea"></div>
<style>


.nodebox {
  fill: #fff;
  stroke: steelblue;
  stroke-width: 3.5px;
}

#node_PHYSICAL                  .nodebox { stroke: beige;}
#node_PHYSICAL_HARD             .nodebox { stroke: tan;}
#node_PHYSICAL_SOFT             .nodebox { stroke: yellow;}

#node_BIOTA                     .nodebox { stroke: darkgreen;}
#node_BIOTA_SPONGES             .nodebox { stroke: orange;}
#node_BIOTA_ALGAE               .nodebox { stroke: green;}
#node_BIOTA_ALGAE_CANOPY_ECK    .nodebox { stroke: lightgreen;}
#node_BIOTA_ALGAE_CRUSTOSE      .nodebox { stroke: purple;}

.nodeTitle {
  font: 8px sans-serif;
  font-weight: bold;
}

.nodeText {
  font: 8px sans-serif;
}

.link {
  fill: none;
  stroke: #ccc;
  stroke-width: 3.5px;
}

</style>
<body>

<script src="js/d3.v3.min.js"></script>
<script src="js/hierarchicalVisualisation/visualisation.js"></script>