<?php

$this->widget('bootstrap.widgets.TbAlert', array(
    'block' => true, // display a larger alert block?
    'fade' => true, // use transitions?
    'closeText' => '&times;', // close link text - if set to false, no close link is displayed
));
$this->widget('ext.PlGrid.PlGridView', array(
    'id' => 'firmware-grid',
    'headerTitle' => 'Header_title', // optional
    'addButtonTitle' => 'ADD_NEW_FIRMWARE', // optional
    'searchButtonTitle' => 'SEARCH_FIRMWARE', // optional
    'modalCreateHeader' => 'FIRMWARE_HEADER_CREATE', // optional
    'modalUpdateHeader' => 'FIRMWARE_HEADER_UPDATE', // optional
    'itemsCssClass' => 'plTable items',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        array(
            'name' => 'fileName',
            'header' => $model->getAttributeLabel('fileName'),
            'headerHtmlOptions' => array('data-translation-id' => 'FIRMWARE_MODEL_FILE_NAME'),
        ),
        array(
            'name' => 'version',
            'header' => $model->getAttributeLabel('version'),
            'headerHtmlOptions' => array('data-translation-id' => 'FIRMWARE_MODEL_VERSION'),
        ),
        array(
            'name' => 'phoneType',
            'header' => $model->getAttributeLabel('phoneType'),
            'headerHtmlOptions' => array('data-translation-id' => 'FIRMWARE_MODEL_PHONE_TYPE'),
            'value' => array($this, "getHumanReadeblePhoneName"),
        ),
        array(
            'name' => 'standard',
            'header' => $model->getAttributeLabel('standard'),
            'type' => 'raw',
            'headerHtmlOptions' => array('data-translation-id' => 'FIRMWARE_MODEL_STANDARD'),
            'value' => array($this, 'renderStandardColumn'),
            'disableSearchField' => true
        ),
        array(
            'class' => 'ext.PlGrid.PlCButtonColumn',
            'template' => '{ajaxUpdate}{delete}',
        )
    ),
        )
);
