[_AutoAction]
# command section for autoprovisioning only
FactoryReset=no
#   delete user cfg before processing new data, options:
#   no (no action)
#   Complete (deletes all user files in flash (config, images, ringtones...),
#   CfgOnly (delete configuration only), phone reboots if set
Reboot=IfRequired
#   automatic reboot after autoprovisioning, options:
#   no (no action)
#   yes (phone reboots unconditionally)
#   IfRequired (phone reboots if required)
#   OnCfgChanged (phone reboots if anything changed)

#**************************************************
# SIP accounts 0 .. 7
#**************************************************
[SIP/sipAccount0/DTMF]
DTMFInbandTransfer=2
DTMFPayload=101

[SIP/sipAccount0/NAT]
EnableUDPUpdate=1
UDPUpdateTime=30

[SIP/sipAccount0/account]
AuthName=
CLIR=0
DisplayName=
Enable=0
Enable100Rel=0
EnableSessionTimer=0
Expire=3600
IgnoreGlobalCFx=0
Label=(empty)
OutboundHost=
OutboundPort=5060
PublishPresence=0
RegisterUseProxy=0
ReregisterMethod=1
ReregisterOnNewWANIP=1
Ringer=
SIPServerHost=
SIPServerHostBack=
SIPServerPort=
SIPServerPortBack=
SIPServerRealm=*
SessionExpires=1800
SubscribeMWIExpire=3600
SubscribeMWIToVM=0
SubsribeMWI=0
Transport=0
UseOutboundProxy=0
UserName=
VoiceMailNumber=voicemail
password=
ptime=20
srtp_security=0

[SIP/sipAccount0/audio0]
PayloadType=PCMA
enable=1
priority=0
rtpmap=8

[SIP/sipAccount0/audio1]
PayloadType=PCMU
enable=0
priority=1
rtpmap=0

[SIP/sipAccount0/audio10]
PayloadType=
enable=0
priority=10
rtpmap=

[SIP/sipAccount0/audio2]
PayloadType=G722
enable=0
priority=2
rtpmap=9

[SIP/sipAccount0/audio3]
PayloadType=GSM
enable=0
priority=3
rtpmap=3

[SIP/sipAccount0/audio4]
PayloadType=L8
enable=0
priority=4
rtpmap=120

[SIP/sipAccount0/audio5]
PayloadType=L16
enable=0
priority=5
rtpmap=122

[SIP/sipAccount0/audio6]
PayloadType=
enable=0
priority=6
rtpmap=

[SIP/sipAccount0/audio7]
PayloadType=
enable=0
priority=7
rtpmap=

[SIP/sipAccount0/audio8]
PayloadType=
enable=0
priority=8
rtpmap=

[SIP/sipAccount0/audio9]
PayloadType=
enable=0
priority=9
rtpmap=


#**************************************************
# contacts
#**************************************************
[contacts/LDAP]
CallInLookup=1
DialLookup=0
DisplayName=%cn %sn
HomeNumbAttr=privatNumber
LDAPSort=1
MaxHits=50
MobileNumbAttr=mobile
NameAttr=sn displayName cn
NameFilter=(&(telephoneNumber=*)(cn=%))
NumbAttr=telephoneNumber internationaliSDNNumber
NumberFilter=(&(telephoneNumber=%)(cn=*))
SearchDelay=2000
base=dc=tiptel,dc=com
host=
port=389
pswd=
user=cn=manager,dc=tiptel,dc=com


#**************************************************
# DECT (only if DECT module present)
#**************************************************
[dect/DECT]
PIN=0000
RFPI=(01.6E.7F.4C.A0)
USB-Modul=(present)
register_timeout=120

[dect/DECT|Handsets]
Handsets=(1/6)

[dect/DECT|Handsets|Handset 1]
IPUI=(00.17.C8.38.38)
Mode=(GAP)
ready=0

#**************************************************
# Extension module #0 .. #2
#**************************************************
[phonekeys/ExtKeys0/FunctionKeys]
#fkey1=
#fkey10=
#fkey11=
#fkey12=
#fkey13=
#fkey14=
#fkey15=
#fkey16=
#fkey17=
#fkey18=
#fkey19=
#fkey2=
#fkey20=
#fkey21=
#fkey22=
#fkey23=
#fkey24=
#fkey25=
#fkey26=
#fkey27=
#fkey3=
#fkey4=
#fkey5=
#fkey6=
#fkey7=
#fkey8=
#fkey9=

#**************************************************
# Phone Funktion Keys
#**************************************************
[phonekeys/FunctionKeys]
#fkey1=
#fkey10=
#fkey11=
#fkey2=
#fkey3=
#fkey4=
#fkey5=
#fkey6=
#fkey7=
#fkey8=
#fkey9=

#**************************************************
# Phone selection keys (beside the display)
#**************************************************
[phonekeys/SelectionKeys]
#fkey1=
#fkey2=
#fkey3=
#fkey4=
#fkey5=
#fkey6=

#**************************************************
# System keys
#**************************************************
[phonekeys/SystemKeys]
key_alpha=default
key_cursor_down=default
key_cursor_left=default
key_cursor_right=default
key_cursor_up=default
key_del=default
key_dir=default
key_enter=default
key_esc=default
key_menu=default
key_minus=default
key_mute=default
key_newdirentry=default
key_ok=default
key_plus=default
key_redial=default
key_rkey=default
key_space=default
key_speaker=default

#**************************************************
# system settings
#**************************************************
[system/AutoProvision]
bEnableDHCPOption=1
bEnablePNP=1
bEnablePowerOn=1
bEnableRepeat=1
bEnableUnsolicitedCheckSync=1
bEnableWeekly=1
nRepeatMinutes=1440
schedule_time=00:00
schedule_time_end=24:00
strKeyAES16=
strKeyAES16MAC=
strPassword=
strServerURL=http://update.tiptel-info.de
strUser=
strWeeklyMask=0123456

[system/DEBUG]
WebLevel=3

[system/Jitter]
Adaptive=1
Enable=1
Max=150
Min=35
OptimizationFactor=7

[system/LocalTime]
DHCPTime=0
DateFormat=0
EndTime=9/5/7/03:00
INFO_DHCP_TZ_OFFSET=
INFO_DHCP_TZ_STRING=EST5EDT4,M3.2.0/02:00,M11.1.0/02:00
OffSetTime=60
StartTime=2/5/7/02:00
TimeFormat=1
TimeServer1=ptbtime1.ptb.de
TimeServer2=
TimeZone=+1
TimeZoneName=Germany(Berlin)
bNTPEnable=1
iDSTTimeType=1
iDSTType=2
nNTPLeaseSeconds=3600

[system/NAT]
NATTraversal=0
STUNInterval=60
STUNPort=
STUNServer=

[system/Network]
SIPListenPort=5060
bUseTrustedCertsOnly=0
eLANType=0
eWANType=0
strLanGateway=
strLanIP=
strLanMask=
strWANIP=192.168.100.1
strWANMask=255.255.255.0
strWanGateway=
strWanPrimaryDNS=
strWanSecondaryDNS=

[system/Profile]
CNG=1
ECHO=1
VAD=0

[system/RTPPORT]
MaxRTPPort=11799
MinRTPPort=11780

[system/SIPOptions]
DSCPvalRTP=0
DSCPvalSIP=0
SipTrace=0
bForceUDP=1
bNotifyPushXML=0
default_t1=500
default_t2=4000
default_t4=5000
rport=0

[system/SYSLOG]
Level=3
SyslogdIP=
eType=0

[system/VLAN]
ISVLAN=0
USRPRIORITY=0
VID=0

# [system/http]
# Useragent=Tiptel t3130 {firmware} {mac}
# leave empty for default


#**************************************************
# user settings
#**************************************************
[user/ActionURL]
busytoidle=
callattendtransfer=
callblindtransfer=
callestablished=
callfail=
callin=
callout=
calltransfer=
cfb_off=
cfb_on=
cfnr_off=
cfnr_on=
cfu_off=
cfu_on=
dnd_off=
dnd_on=
hold=
idletobusy=
ip_changed=
missedcall=
mute=
offhook=
onhook=
register_err=
register_ok=
startup=
unhold=
unmute=
unregister=

[user/AlertInfo0]
Ringer=System: 1 Phone Bright.wav
Text=

[user/AlertInfo1]
Ringer=System: 1 Phone Bright.wav
Text=

[user/AlertInfo2]
Ringer=System: 1 Phone Bright.wav
Text=

[user/AlertInfo3]
Ringer=System: 1 Phone Bright.wav
Text=

[user/AlertInfo4]
Ringer=System: 1 Phone Bright.wav
Text=

[user/AlertInfo5]
Ringer=System: 1 Phone Bright.wav
Text=

[user/AlertInfo6]
Ringer=System: 1 Phone Bright.wav
Text=

[user/AlertInfo7]
Ringer=System: 1 Phone Bright.wav
Text=

[user/AlertInfo8]
Ringer=System: 1 Phone Bright.wav
Text=

[user/AlertInfo9]
Ringer=System: 1 Phone Bright.wav
Text=

[user/Alphablending]
CalljournalMsgOpac=0
DateOpac=0
DayOpac=0
DefAccountOpac=0
SelectKeysOpac=25
SoftKeysOpac=25
StatusIconsOpac=0
TimeOpac=0

[user/AlwaysFWD]
Enable=0
Off_Code=
On_Code=
Target=

[user/AutoRedial]
RedialInterval=10
RedialTimes=10

[user/BusyFWD]
Enable=0
Off_Code=
On_Code=
Target=

[user/DND]
Off_Code=
On_Code=

[user/Features]
ButtonSoundOn=0
CallCompletion=0
Call_Waiting=1
Call_WaitingTone=1
DND_Code=480
EnableHotline=0
Hotlinedelay=0
Hotlinenumber=
IntercomAllow=1
IntercomBarge=1
IntercomMute=1
IntercomTone=1
Refuse_Code=486
RejectAnonymous=0
ReserveHash=1

[user/KeylockExceptionNums]
1=
10=
2=
3=
4=
5=
6=
7=
8=
9=

[user/Lang]
ActiveWebLanguage=en
CurrencyString=â‚¬
DebugGUIPhraseParser=0
Language=

[user/PBXSync]
InternalCdrIn=1
InternalCdrOut=1
PhoneBookMode=0
PhoneBookXMLPassword=
PhoneBookXMLServerURL=
PhoneBookXMLUser=

[user/PhoneSetting]
BackGroundImage=System: Fjord2.jpg
BackLight=10
BackLightAutoBrightness=0
BackLightIdle=2
BacklightTime=60
Contrast=8
GlobalRinger=System: 1 Phone Bright.wav
ImageFont3D=0
ImageFontColor=0
InterDigitTime=5
KeyBoardDesign=0
KeyLockPIN=1234
KeyLockTimeout=0
KeyLockUsePIN=0
RingerDevice=0
ShowDefAccountOnIdle=0
ShowPickupInfo=0
Theme=0
lock=0

[user/PhoneVolume]
HandFreeAGC=0
HandFreeSpkVol=5
HandSetSpkVol=5
HeadSetMicVol=5
HeadSetSpkVol=5
RingVol=5

[user/PoundSend]
Enable=1

[user/RemotePhoneBook0]
Password=
URL=
UpdateInterval=0
UserName=

[user/Services]
ActionURLPassword=
ActionURLUser=

[user/TimeoutFWD]
Enable=0
Off_Code=
On_Code=
Target=
Timeout=10

[user/ToneParam]
autoanswer=
busy=
callwaiting=
congestion=
dial=
dialrecall=
info=
message=
record=
ring=
stutter=

[user/Transfer]
AttendTransferOnHook=1
EnableSemiAttendTran=1

[user/UserAccess]
admin=admin
phone=
provider=
user=user

[user/Webserver]
HttpPort=80
HttpsPort=443
WebType=1

[user/init]
DefUserAccount=0

[user/vpm_tone_Country]
Country=Germany
