#!version:1.0.0.1

##File header "#!version:1.0.0.1" can not be edited or deleted, and must be placed in the first line.##

#######################################################################################
##                                    Hostname                                       ##          
#######################################################################################
network.dhcp_host_name =

#######################################################################################
##                                    PPPOE                                          ##          
#######################################################################################
#Configure the username and password for PPPOE connection.
#Require reboot;
network.pppoe.user = 
network.pppoe.password = 

#######################################################################################
##                                    Network Advanced                               ##          
#######################################################################################
#Configure the duplex mode and the speed of the WAN port.
#0-Auto negotiate (default), 1-Full duplex 10Mbps, 2-Full duplex 100Mbps, 3-Half duplex 10Mbps, 4-Half duplex 100Mbps;
network.internet_port.speed_duplex = 
network.pc_port.speed_duplex = 

network.pc_port.dhcp_server = 1
network.static_dns_enable = 1

#######################################################################################
##                                    VLAN                                           ##          
#######################################################################################
network.vlan.internet_port_enable = 0

#Configure the VLAN ID, it ranges from 1 to 4094, the default value is 1.
#Require reboot;
network.vlan.internet_port_vid = 

#Configure the VLAN priority, it ranges from 0 (default) to 7. 
#Require reboot; 
network.vlan.internet_port_priority = 

#Enable or disable the VLAN of PC port; 0-Disabled (default), 1-Enabled; 
#Require reboot;
network.vlan.pc_port_enable = 

#Configure the VLAN ID, it ranges from 1 to 4094, the default value is 1. 
#Require reboot;
network.vlan.pc_port_vid = 

#Configure the VLAN priority, it ranges from 0 (default) to 7. 
#Require reboot;
network.vlan.pc_port_priority = 

#Enable or disable the DHCP to obtain the information of the VLAN; 0-Disabled; 1-Enabled (default);
#Require reboot;
network.vlan.dhcp_enable = 

#Configure the DHCP option to obtain the information of the VLAN. It ranges from 0 to 255.
#Multiple options separated by a comma. It supports up to 5 options in all.
#Require reboot;
network.vlan.dhcp_option =

#######################################################################################
##                                   WEB Port                                        ##          
#######################################################################################
#Configure the HTTP port (80 by default) and the HTTPS port (443 by default) of the web server. Both range from 1 to 65535.
#Require reboot;
network.port.http = 
network.port.https = 

#######################################################################################
##                                   QOS                                             ##          
#######################################################################################
#Configure the voice QOS. It ranges from 0 to 63, the default value is 46.
#Require reboot;
network.qos.rtptos = 

#Configure the SIP QOS. It ranges from 0 to 63, the default value is 26.
#Require reboot;
network.qos.signaltos = 

#######################################################################################
##                                   802.1X                                          ##          
#######################################################################################
#Configure the 802.1x mode; 0-Disabled (default), 1-EAP-MD5, 2-EAP-TLS, 3-PEAP-MSCHAPV2, 4:EAP-TTLS/EAP-MSCHAPv2;
#Require reboot;
network.802_1x.mode = 
network.802_1x.identity = 
network.802_1x.md5_password = 
network.802_1x.root_cert_url =
network.802_1x.client_cert_url = 

#######################################################################################
##                                   VPN                                             ##          
#######################################################################################
#Enable or disable the VPN feature; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.vpn_enable = 

#######################################################################################
##                                   LLDP                                            ##          
#######################################################################################
#Enable or disable the LLDP feature; 0-Disabled, 1-Enabled (default);
#Require reboot;
network.lldp.enable = 

#Configure the interval(in seconds) the phone broadcasts the LLDP request. It ranges from 1 to 3600, the default value is 60.
#Require reboot;
network.lldp.packet_interval = 

#######################################################################################
##                                   SNMP                                            ##          
#######################################################################################
#Enable or disable the SNMP feature; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.snmp.enable = 
network.snmp.port = 

#Configure the IP address(es) of the trusted SNMP server,multiple IP addresses must be separated by a space.
#Require reboot;
network.snmp.trust_ip = 

#######################################################################################
##                                   Span to PC                                      ##          
#######################################################################################
#Enable or disable the span from WAN port to PC port feature; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.span_to_pc_port = 

#######################################################################################
##                                   RTP Port                                        ##          
#######################################################################################
#Configure the maximum local RTP port. It ranges from 0 to 65535, the default value is 11800.
#Require reboot;
network.port.max_rtpport = 

#Configure the minimum local RTP port. It ranges from 0 to 65535, the default value is 11780.
#Require reboot;
network.port.min_rtpport = 

#######################################################################################
##                                   SYSLOG                                          ##          
#######################################################################################
#Configure the IP address of the syslog server.
#Require reboot;
syslog.server = 

#Configure the syslog level. It ranges from 0 to 6, the default value is 3.
#Require reboot;
syslog.log_level = 

#######################################################################################
##                                   Redirect                                        ##          
#######################################################################################
#Enable or disable the redirect feature; 0-Disabled (default), 1-Enabled;
redirect.enable = 

#######################################################################################
##                                   TR069                                           ##          
#######################################################################################
#The TR069 feature is only applicable to some designated firmware version.
#All settings of TR069 require reboot.
#Enable or disable the TR069 feature; 0-Disabled (default), 1-Enabled;
managementserver.enable = 
managementserver.username = 
managementserver.password = 
managementserver.url = 
managementserver.connection_request_username = 
managementserver.connection_request_password = 
managementserver.periodic_inform_enable = 0
managementserver.periodic_inform_interval = 60

#######################################################################################
##                                   Autop Mode                                      ##          
#######################################################################################
#Configure the auto provision mode;
#0-Disabled , 1-Power on (default); 
auto_provision.mode = 

#######################################################################################
##                                   Autop PNP                                       ##          
#######################################################################################
#Enable or disable the Plug and Play feature; 0-Disabled, 1-Enabled (default);
auto_provision.pnp_enable = 

#######################################################################################
##                                   Autop DHCP                                      ##          
#######################################################################################
#Enable or disable DHCP option mode; 0-Disabled, 1-Enabled (default);
auto_provision.dhcp_option.enable = 

#Configure the custom DHCP option number. It ranges from 128 to 254.
auto_provision.dhcp_option.list_user_options = 

#######################################################################################
##                                   Autop Repeat                                    ##          
#######################################################################################
auto_provision.repeat.enable = 0

#Configure the interval (in minutes) for the phone to check new configuration files. It ranges from 1 to 43200, the default value is 1440.
#It is only applicable to "Repeatedly".
auto_provision.repeat.minutes = 

#######################################################################################
##                                   Autop Weekly                                    ##          
#######################################################################################
auto_provision.weekly.enable = 0

#Configure the day of week for the phone to check new configuration files. The default vaule is 0123456.
#0-Sunday,1-Monday,2-Tuesday,3-Wednesday,4-Thursday,5-Friday,6-Saturday;
#It is only applicable to "Weekly" and "Power on + Weekly" modes.
#If the desired week is Monday, Tuesday and Wednesday, the value format is 012.
auto_provision.weekly.mask = 

#Configure the start time of the day for the phone to check new configuration files. The default value is 00:00.
#It is only applicable to "Weekly" and "Power on + Weekly" modes. 
#If the desired start time of the day is seven forty-five a.m., the value format is 07:45.
auto_provision.weekly.begin_time = 

#Configure the end time of the day for the phone to check new configuration files.  The default time is 00:00.
#It is only applicable to "Weekly" and "Power on + Weekly" modes.
#If the desired end time of the day is seven forty-five p.m., the value format is 19:45.
auto_provision.weekly.end_time = 

#######################################################################################
##                                   Autop URL                                       ##          
#######################################################################################
auto_provision.server.url = 
auto_provision.server.username = 
auto_provision.server.password = 

#######################################################################################
##                                   Autop Aes Key                                   ##          
#######################################################################################
#Configure AES key (16 characters) for decrypting the common CFG file.
auto_provision.aes_key_16.com = 

#Configure AES key (16 characters) for decrypting the MAC-Oriented CFG file.
auto_provision.aes_key_16.mac = 

custom_mac_cfg.url =

#Configure the value (manufacturer of the device) of DHCP option 60. The default is yealink
auto_provision.dhcp_option.option60_value = 

#######################################################################################
##                                   Autop Code                                      ##          
#######################################################################################
#This feature allows user to trigger the auto provisioning by pressing a predefined string on the phone.
#Require reboot;
#"X" ranges from 1 to 50

#Configure the auto provisioning name.
#The valid value is a string, the maximum length is 100.
autoprovision.X.name = 


#Configure the auto provisioning code;
#The valid value is a string, the maximum length is 100.
autoprovision.X.code = 

#Configure the URL of the auto provisioning server.
#The valid value is a string, the maximum length is 511.
autoprovision.X.url = 

#Configure the username and password for downloading.
#The valid value is a string, the maximum length is 100.
autoprovision.X.user = 
autoprovision.X.password = 

#Configure AES key (16 characters) for decrypting the common CFG file and MAC-Oriented CFG file.
autoprovision.X.com_aes = 
autoprovision.X.mac_aes = 

#######################################################################################
##                                   Watch Dog                                       ##          
#######################################################################################
#Enable or disable the WatchDog feature; 0-Disabled, 1-Enabled (default);
watch_dog.enable = 

#######################################################################################
##                                   SIP Advanced                                    ##          
#######################################################################################
#Enable or disable the phone to escape the pound key as percent sign followed by 23 when dialing out; 0-Disabled, 1-Enabled (default);
sip.use_23_as_pound = 

#Enable or disable the RFC2543 Hold feature; 0-Disabled (default), 1-Enabled;
sip.rfc2543_hold = 

#Enable or disable the phone to keep sending the SIP messages to the outbound server; 0-Disabled, 1-Enabled (default);
sip.use_out_bound_in_dialog = 

#Configure the registration random time (in seconds). It ranges from 0 (default) to 60. 
sip.reg_surge_prevention = 

#######################################################################################
##                                   Echo Cancellation                               ##          
#######################################################################################
#Enable or disable the voice activity detection feature; 0-Disbaled (default), 1-Enabled;
voice.vad = 

#Enable or disable the comfortable noise generator; 0-Disabled, 1-Enabled (default);
voice.cng = 

#Enable or disable the echo canceller; 0-Disabled, 1-Enabled (default);
voice.echo_cancellation = 

#Configure the volume of the side tone. It ranges from -48 to 0, the default value is -3.
voice.side_tone=  

#configure the preview call mode; 1-Ignore:the mixed of tone and RTP (default), 2-Force: discard the RTP and play the tone, 3-Skip: skip the tone to play the RTP;
voice.call_preview_mode= 

#######################################################################################
##                                   Jitter Buffer                                   ##          
#######################################################################################
#Configure the type of jitter buffer; 0-Fixed, 1-Adaptive (default); 
voice.jib.adaptive = 

#Configure the minimum delay, maximum delay and normal delay. The default values are 0, 300, 120.
voice.jib.min = 
voice.jib.max = 
voice.jib.normal = 

#######################################################################################
##                                   Tones                                           ##          
#######################################################################################
#Define the voice tone, the valid values can be Custom (default) or voice tone of different countries. For example, United States, France, Germany and so on.
#voice.tone.country = Custom 
voice.tone.country = Germany
voice.tone.dial = 
voice.tone.ring = 
voice.tone.busy = 
voice.tone.congestion = 
voice.tone.callwaiting = 
voice.tone.dialrecall = 
voice.tone.record= 
voice.tone.info = 
voice.tone.stutter = 
voice.tone.message = 
voice.tone.autoanswer = 

#######################################################################################
##                                   Volume                                          ##          
#######################################################################################
#Configure the receiving volume of Speaker, Handset and Headset. It ranges from 0 to 15, the default value is 8.
voice.handfree.spk_vol = 
voice.handfree.tone_vol = 
voice.handset.spk_vol = 
voice.handset.tone_vol = 
voice.headset.spk_vol = 
voice.headset.tone_vol = 
voice.ring_vol= 

#######################################################################################
##                                   WEB HTTP(S)                                     ##          
#######################################################################################
wui.https_enable = 1
wui.http_enable = 1

#######################################################################################
##                                   Transfer                                        ##          
#######################################################################################
#Enable or disable the transferee to display the missed call prompt when receiving a semi_attended transfer call;
#0-Disabled, 1-Enabled (default);
transfer.semi_attend_tran_enable = 

#Enable or disable the phone to complete the blind or attended transfer through on-hook;
#0-Disabled,1-Enabled(default);
transfer.blind_tran_on_hook_enable = 

#Enable or disable the conference initiator to transfer the call when hanging up. 
#0-Disabled(default),1-Enabled;
transfer.tran_others_after_conf_enable = 

#Enable or disable the phone to complete the blind or attended transfer through on-hook;
#0-Disabled,1-Enabled(default);
transfer.on_hook_trans_enable = 

#Define the way of DSS key when configuring as a transfer key; 0-Display Number, 1-Attended Transfer, 2-Blind Transfer (default);
transfer.dsskey_deal_type = 

#######################################################################################
##                                   Web Language                                    ##          
#######################################################################################
#Specify the web language, the valid values are: English, Chinese_S, Turkish, Portuguese, Spanish, Italian, French, Russian, Deutsch and Czech.
lang.wui = 

#Specify the LCD language, the valid values are: English (default), Chinese_S, Chinese_T, German, French, Turkish, Italian, Polish, Spanish and Portuguese.
lang.gui = English

#######################################################################################
##                                   Time                                            ##          
#######################################################################################
#Configure the domain name or the IP address of the NTP server. The default value is cn.pool.ntp.org.
local_time.ntp_server1 = cn.pool.ntp.org
local_time.ntp_server2 = cn.pool.ntp.org

#Configure the update interval (in seconds) when using the NTP server. The default value is 1000.
local_time.interval = 

#Configure the daylight saving time feature; 0-Disabled, 1-Enabled, 2-Automatic (default); 
local_time.summer_time = 2

#Configure the DST type when the DST feature is enabled; 0-By Date (default), 1-By Week;
local_time.dst_time_type = 0

#Configure the start time of DST. The default value is 1/1/0.
#If the DST type is configured as By Date, the value format is Month/Day/Hour. For example, the value 5/20/10 means the start time is at 10:00 on May 20.  
#If the DST type is configured as By Week, the value format is Month/Day of Week/Day of Week Last in Month/Hour of Day. 
#For example, the value 1/4/2/5 means the start time is at 5 o'clock on Tuesday of the 4th week in January.
local_time.start_time = 

#Configure the end time of DST. The default value is 12/31/23. The value format is the same to the start time.
local_time.end_time = 

#Configure the offset time (in seconds). It ranges from -300 to 300, the default value is 60.
local_time.offset_time = 

#Configure the time format; 0-12 Hour, 1-24 Hour (default);
local_time.time_format = 

#Configure the date format; 0-WWW MMM DD (default), 1-DD-MMM-YY, 2-YYYY-MM-DD, 3-DD/MM/YYYY, 4-MM/DD/YY, 5-DD MMM YYYY, 6-WWW DD MMM;
local_time.date_format = 

#Enable or disable the DHCP Time; 0-Disabled (default), 1-Enabled;
local_time.dhcp_time = 

local_time.manual_time_enable = 0

#######################################################################################
##                                   Auto Redial                                     ##          
#######################################################################################
#Enable or disable the auto redial feature; 0-Disabled (default), 1-Enabled;
auto_redial.enable = 0

#Configure the interval (in seconds) to wait before redial. It ranges from 1 to 300. The default value is 10.
auto_redial.interval = 

#Configure the auto redial times. It ranges from 1 to 300. The default value is 10.
auto_redial.times = 

#######################################################################################
##                                   Zero Touch                                      ##          
#######################################################################################
#Enable or disable the Zero Touch feature; 0-Disabled (default), 1-Enabled; 
zero_touch.enable = 

#Configure the waiting time (in seconds) before canceling the Zero Touch. It ranges from 0 to 100, the default value is 5.
zero_touch.wait_time = 

#######################################################################################
##                                   Push XML                                        ##          
#######################################################################################
push_xml.server = 

#Enable or disable the phone to display the push XML interface when receiving an incoming call; 0-Disabled (default), 1-Enabled;
push_xml.block_in_calling= 

#Enable or disable the phone to use the push XML via SIP Notify message; 0-Disabled (default), 1-Enabled;
push_xml.sip_notify= 

#######################################################################################
##                                   Dial Plan                                       ##          
#######################################################################################
dialplan.area_code.code = 
dialplan.area_code.min_len =  1
dialplan.area_code.max_len = 15

#When applying the rule to multiple lines, each line ID separated by a comma. 
#e.g. dialplan.area_code.line_id = 1,2,3
dialplan.area_code.line_id = 

#Configure the block out number. X ranges from 1 to 10.
#dialplan.block_out.number.x =
dialplan.block_out.number.1 =

#When applying the rule to multiple lines, mutiple lines must be separated by a comma. E.g. 1,2,3.
#dialplan.block_out.line_id.X =  1,2,3
dialplan.block_out.line_id.1 =

# X ranges from 1 to 100.
dialplan.dialnow.rule.X = 
dialplan.dialnow.line_id.X = 

# X ranges from 1 to 100.
dialplan.replace.prefix.X = 
dialplan.replace.replace.X = 
dialplan.replace.line_id.X = 

#Configure the dialnow rule. X ranges from 1 to 20.
#dialnow.item.X = Dial-now rule,Line ID
#Dial-now rule: Specify the numbers that need replacing;
#Line ID:Specify the line ID to apply the replace rule,multiple lines must be separated by a comma;
dialnow.item.1 =

#Configure the replace rule. X ranges from 1 to 20.
#dialplan.item.X = Enabled,Prefix,Replaced,LineID
#Enabled: Enable or disable the replace rule. 0-Disabled, 1-Enabled; Prefix: Specify the numbers that need replacing; 
#Replaced: Specify the alternate numbers;
#LineID: Specify the line ID to apply the replace rule,multiple lines ID must be separated by a comma;
dialplan.item.1 =

#######################################################################################
##                                   Remote Phonebook                                ##          
#######################################################################################
#Configure the access URL and dispaly name of the remote phonebook. X ranges from 1 to 5.
#remote_phonebook.data.X.url =   
#remote_phonebook.data.X.name =

remote_phonebook.data.1.url =   
remote_phonebook.data.1.name = 

#######################################################################################
##                                   Network Directory                               ##          
#######################################################################################
directory.update_time_interval = 
directory.incoming_call_match_enable = 1
bw.directory_enable = 0

#######################################################################################
##                                   LDAP                                            ##          
#######################################################################################
#Configure the search criteria for name and number lookups.
ldap.enable = 
ldap.name_filter = 
ldap.number_filter = 
ldap.host = 0.0.0.0
ldap.port = 389
ldap.base = 
ldap.user = 
ldap.password = 

#Specify the maximum of the displayed search results. It ranges from 1 to 32000, the default value is 50.
ldap.max_hits = 
ldap.name_attr = 
ldap.numb_attr = 
ldap.display_name = 

#Configure the LDAP version. The valid value is 2 or 3 (default).
ldap.version = 

#Enable or disable the phone to query the contact name from the LDAP server when receiving an incoming call; 0-Disabled (default), 1-Enabled;
ldap.call_in_lookup = 

#Enable or disable the phone to sort the search results in alphabetical order; 0-Disabled (default), 1-Enabled; 
ldap.ldap_sort = 

#######################################################################################
##                                   Features                                        ##          
#######################################################################################
#Configure the return code when activating DND; 404-No Found, 480-Temporarily not available (default), 486-Busy here;
#features.dnd_refuse_code = 480
features.dnd_refuse_code = 

#Configure the return code when refusing a call. The valid values are 404, 480, 486 (default).
features.normal_refuse_code = 

#Configure the delay time (in seconds)of auto answer. The time ranges from 1 to 4, the default value is 1.
features.auto_answer_delay = 

#Enable or disable the transfer DSS key to perform the blind transfer; 0-Disabled, 1-Enabled (default);
features.dsskey_blind_tran = 

#Enable or disable the phone to mute the call during an active call; 0-Disabled, 1-Enabled (default);
features.allow_mute = 

features.group_listen_in_talking_enable =

#Enable or disable the call completion feature; 0-Disabled (default), 1-Enabled;
features.call_completion_enable = 

#Enable or disable the phone to dial the IP address directly; 0-Disabled, 1-Enabled (default);
features.direct_ip_call_enable = 


#Configure the power Indicator LED to turn on ro turn off; 0-On (default), 1-Off;
features.power_led_on = 

#Configure the overtime (in minutes) of logging web user interface. It ranges from 1 to 1000, the default value is 5.
features.relog_offtime = 

#Specify the ring device when the phone is in the Headset mode; 0-use Speaker (default), 1-use Headset, 2- Use Headset& Speaker;
features.ringer_device.is_use_headset = 

#Enable or disable to enter the password when long pressing the OK key to reset to factory; 0-Disabled (default), 1-Enabled;
features.factory_pwd_enable =

features.idle_talk_power_led_flash_enable =

#Enbale or disable the server to release the BLA line automatically; 0-Disabled (default), 1-Enabled;
features.auto_release_bla_line = 


#######################################################################################
##                                   Features FWD                                    ##          
#######################################################################################
#Configure the call forward key mode; 0-Phone mode (default), 1-Custom mode.
features.fwd_mode = 

#0-Disabled , 1-Enabled (default)
features.fwd_diversion_enable = 

#######################################################################################
##                                   Features DND                                    ##          
#######################################################################################
#Configure the DND key mode; 0-Phone mode (default), 1-Custom mode.
features.dnd_mode = 
features.dnd.on_code = 
features.dnd.off_code = 
features.dnd.emergency_enable = 1
features.dnd.emergency_authorized_number = 

#######################################################################################
##                                   Features BLF                                    ##          
#######################################################################################
#Configure the LED flashing mode of the BLF key (line key). The value is 0(default) or 1.
features.blf_led_mode = 

features.blf_list_version = 0
features.blf_and_callpark_idle_led_enable = 0

#######################################################################################
##                                   Features Intercom                               ##          
#######################################################################################
#Enable or disable the intercom feature; 0-Disabled, 1-Enabled (default);
features.intercom.allow  = 

#Enable or disable the phone to mute the Speaker when answering an intercom call; 0-Disabled (default), 1-Enabled;
features.intercom.mute  = 

#Enable or disable the phone to play the intercom warning tone; 0-Disabled, 1-Enabled (default);
features.intercom.tone  = 

#Enable or disable the phone to barge in an intercom call; 0-Disabled (default), 1-Enabled;
features.intercom.barge  = 

#######################################################################################
##                                   Features Hotline                                ##          
#######################################################################################
#Configure the hotline number and delay time (in seconds). It ranges from 0 to 180, the default value is 4.
features.hotline_number = 
features.hotline_delay = 

#######################################################################################
##                                   Features DTMF                                   ##          
#######################################################################################
#Enable or disable the phone to suppress the display of DTMF digits; 0-Disabled (default), 1-Enabled;
features.dtmf.hide = 

#Enables or disables the IP phone to display the DTMF digits for a short period before displaying as asterisks; 0-Disabled (default), 1-Enabled;
features.dtmf.hide_delay = 

#Configure the repetition times of DTMF end packet. The valid values are 1, 2, 3 (default).
features.dtmf.repetition = 

#Configure DTMF sequences. It can be consisted of digits, alphabets, * and #.
features.dtmf.transfer = 

#Enable or disable the phone to send DTMF sequences during a call when pressing the transfer soft key or the TRAN key; 0-Disabled (default), 1-Enabled;
features.dtmf.replace_tran = 

#######################################################################################
##                                   Features Audio Settings                         ##          
#######################################################################################
#Enable or disable the headset prior feature; 0-Disabled (default), 1-Enabled;
features.headset_prior = 

#Enable or disable the dual headset feature; 0-Disabled (default), 1-Enabled;
features.headset_training = 

features.alert_info_tone =

#Enable or disable the phone to play the warning tone when receiving a vocie mail. 0-Disabled; 1-Enabled(default).
features.voice_mail_tone_enable = 

#Configure the delay time (in seconds) of playing busy tone when rejecting a call. The valid values are 0 (default), 3 and 5. 
features.busy_tone_delay = 

#Configure the phone whether to send a pound key when pressing double pound keys; 0-Send one pound key (default), 1-Do not send any pound key;
features.send_pound_key = 

#Define the "#" or "*" key as the send key; 0-Disabled, 1-# key(default), 2-* key;
features.pound_key.mode = 

#Enable or disable the phone to play tone when pressing the digit key; 0-Disabled, 1-Enabled (default);
features.send_key_tone = 
features.key_tone = 

#Enable or disable the phone to play a warning tone when there is a held call; 0-Disabled, 1-Enabled (default);
features.play_hold_tone.enable = 

#Configure the interval of playing a warning tone. The default value is 30s.
features.play_hold_tone.delay = 

features.redial_tone = 

#Enable or disable the phone with active accounts to play tones in the dialing interface differently from the phone with no active accounts; 0-Disabled (default), 1-Enbaled;
features.partition_tone = 

#Configure the delay time (in milliseconds) before transfering a call. The default value is 0.
features.hold_trans_delay = 

#Enbale or disable the phone to play a local DTMF tone; 0-Disabled, 1-Enabled (default); 
features.play_local_dtmf_tone_enable= 

#######################################################################################
##                                   Features Remote Phonebook                       ##          
#######################################################################################
#Enables or disables the IP phone to query the contact names from the remote phonebook when receiving incoming calls; 0-Disabled (default), 1-Enabled; 
features.remote_phonebook.enable = 

#Set the interval (in seconds) for the phone to update the information of the remote phonebook. The default value is 3600. 
features.remote_phonebook.flash_time = 

#######################################################################################
##                                   Features Action                                 ##          
#######################################################################################
#Specifie the address(es) or enters ¡°any¡± from which Action URI will be accepted.
#For discontinuous IP addresses, each IP address is separated by comma, for example: 192.168.1.20,10.2.1.30
#For continuous IP addresses, the format likes *.*.*.* and the ¡°*¡± stands for the values 0~255. For example: 10.10.*.* stands for the IP addresses that range from 10.10.0.0~10.10.255.255.
#If left blank, the IP phone cannot receive or handle any HTTP GET request.
#If set to ¡°any¡±, the IP phone accepts and handles HTTP GET requests from any IP address.
features.action_uri_limit_ip = 

features.action_uri_reboot_now = 0

#######################################################################################
##                                   Features Prefix                                 ##          
#######################################################################################
#Enable or disable the phone to encrypt the digits of the dialed number. The encrypted digits are displayed as asterisks on the LCD screen; 0-Disabled (default), 1-Enabled;
features.password_dial.enable = 

#Configure the prefix numbers displayed before the encrypted digits.
features.password_dial.prefix =

#Configure the length of encrypted digits.
features.password_dial.length =

#######################################################################################
##                                   Features History                                ##          
#######################################################################################
#Enable or disable the phone to save the call history; 0-Disabled, 1-Enabled (default);  
features.save_call_history = 

#######################################################################################
##                                   Features Pickup                                 ##          
#######################################################################################
#Enable or disable the phone to pick up the call using the group pickup soft key; 0-Disabled (default), 1-Enabled;
features.pickup.group_pickup_enable = 

features.pickup.group_pickup_code =

#Enable or disable the phone to pick up the call using the directed pickup soft key; 0-Disabled (default), 1-Enabled;
features.pickup.direct_pickup_enable = 

features.pickup.direct_pickup_code =

#Specify the way to notify the phone of the incoming call of the monitored user by visual or audio indicator;
#0-Disabled (default), 1-Enabled;
features.pickup.blf_visual_enable =
features.pickup.blf_audio_enable = 

#######################################################################################
##                                   Phone Setting                                   ##          
#######################################################################################
#Configure the time (in seconds) the phone automatically dials out the dialed digits. It ranges from 1 to 14, the default value is 4.
phone_setting.inter_digit_time = 

#Configure the ring tone when the transfer fails. The valid values are: Ring1.wav.... Ring8.wav.
#If you set the custom ring tone (Busy.wav) for the phone, the value is: phone_setting.ring_type = Config:Busy.wav
#If you set the system ring tone (Ring2.wav) for the phone, the value is: phone_setting.ring_type = Resource:Ring2.wav
#phone_setting.ring_type = Resource:Ring1.wav
phone_setting.ring_type = 
phone_setting.ring_for_tranfailed = 

#Enable or disable the phone to deal the 180 SIP message after the 183 SIP message; 0-Disabled, 1-Enabled (default);
phone_setting.is_deal180 = 
phone_setting.show_code403 =

#Configure the delay time (in seconds) for the dialnow rule. It ranges from 1 to 14, the default value is 1.
phone_setting.dialnow_delay = 

#Configure the emergency number, each separated by a comma. The default value is 112,911,110.
phone_setting.emergency.number = 

#Configure the using mode of the headset key. The value is 0 or 1(default).
phone_setting.page_tip = 

#Enable or disable the phone to show the logon wizard during startup; 0-Disabled (default), 1-Enabled;
phone_setting.logon_wizard = 

#Enable or disable the phone to automatically dial out the dialed digits in the pre-dial interface; 0-Disabled (default), 1-Enabled;
phone_setting.predial_autodial = 

#Enable or disable customizing the softkey layout; 0-Disabled (default), 1-Enabled;
phone_setting.custom_softkey_enable = 

#Configure the using mode of the headset key. The value is 0 or 1(default).
phone_setting.headsetkey_mode = 

phone_setting.mail_power_led_flash_enable = 0

#######################################################################################
##                                   Phone Setting UI                                ##          
#######################################################################################
#Configure the active backlight level. It ranges from 1 to 3, the default value is 2.
#The same level for different phones may result in different backlight intensities. 
phone_setting.active_backlight_level = 
phone_setting.inactive_backlight_level = 1

#Configure the backlight time (in seconds). The valid values are: 0-Always on, 1-Always off, 15-15s, 30-30s (default), 60-60s, 120-120s.
phone_setting.backlight_time = 
phone_setting.backgrounds = 

#######################################################################################
##                                   Phone Setting BLF                               ##          
#######################################################################################
phone_setting.blf_list_enable = 1
phone_setting.auto_blf_list_enable = 1

#Specify the prior of the line keys and EXP keys when automatically configure the blf list£»0-Configure the line keys first, 1-Configure the EXP keys first;
phone_setting.blf_list_sequence_type =

#######################################################################################
##                                   Key Lock                                        ##          
#######################################################################################
#Configure the keypad lock type; 0-Disabled (default), 1-Enable
phone_setting.lock = 

#Configure the unlock password for the phone. The default value is 123.
phone_setting.phone_lock.unlock_pin = 


#Configures the interval (in seconds) to automatically lock the IP phone. It ranges from 0 to 3600, the default value is 0.
phone_setting.phone_lock.lock_time_out = 

#Configure the keypad lock type;0-All Keys(default), 1-Function Key, 2-Menu Key
phone_setting.phone_lock.lock_key_type = 

#######################################################################################
##                                   Multicast                                       ##          
#######################################################################################
#Configure the codec of multicast paging.
multicast.codec =

#Enbale or diable the phone to handle the incoming multicast paging calls when there is a multicast paging call on the phone; 0-Disabled, 1-Enabled (default);
#If enabled, the phone will answer the incoming multicast paging call with a higher priority and ignore that with a lower priority. 
multicast.receive_priority.enable = 

#Configure the priority of multicast paging calls. It ranges from 0 to 10.
multicast.receive_priority.priority = 

#Configure the lable displayed on the LCD screen when receiving the multicast paging. X ranges from 1 to 10.
multicast.listen_address.X.label = 

#Configure the listening multicast IP address and port number for the phone. X ranges from 1 to 10.
multicast.listen_address.X.ip_address = 

#######################################################################################
##                                   Super Search                                    ##          
#######################################################################################
super_search.recent_call = 1

#######################################################################################
##                                   Broadsoft Phonebook                             ##          
#######################################################################################
bw_phonebook.group_enable = 1
bw_phonebook.personal_enable = 1
bw_phonebook.group_common_enable = 0
bw_phonebook.group_common_displayname =
bw_phonebook.enterprise_enable = 0
bw_phonebook.enterprise_common_enable = 0
bw_phonebook.enterprise_common_displayname =
bw_phonebook.call_log_enable = 1
bw_phonebook.server_search_enable = 1
bw_phonebook.group_displayname =
bw_phonebook.enterprise_displayname =
bw_phonebook.common_displayname =
bw_phonebook.personal_displayname =

#######################################################################################
##                                   Broadsoft                                       ##          
#######################################################################################
#Enable or disable the phone to access the BSFT call log/phonebook directly when pressing the History/Directory soft keys;
#0-Disabled (default), 1-Enabled;
#Require reboot;
bw.calllog_and_dir = 

#Enable or disable the feature key synchronization; 0-Disabled (default), 1-Enabled;
bw.feature_key_sync = 0

#######################################################################################
##                                   Security                                        ##          
#######################################################################################
#Enable or disable the phone to only accept the certificates in the Trusted Certificates list;
#0-Disabled, 1-Enabled (default);
security.trust_certificates = 

#Define the login username and password of the user, var and administrator.
#If you change the username of the administrator from "admin" to "admin1", your new administrator's username should be configured as: security.user_name.admin = admin1.
#If you change the password of the administrator from "admin" to "admin1pwd", your new administrator's password should be configured as: security.user_password = admin1:admin1pwd.

#The following examples change the user's username to "user23" and the user's password to "user23pwd".
#security.user_name.user = user23
#security.user_password = user23:user23pwd
#The following examples change the var's username to "var55" and the var's password to "var55pwd".
#security.user_name.var = var55
#security.user_password = var55:var55pwd
security.user_name.user = 
security.user_name.admin = 
security.user_name.var = 
security.user_password = 

#Enable or disable the 3-level permissions (open var); 0-Disabled (default), 1-Enabled;
#Require reboot;
security.var_enable = 
security.ca_cert =
security.dev_cert =
security.cn_validation =


#######################################################################################
##                                   Linekey                                         ##          
#######################################################################################
#The x of the parameter "linekey.x.line" ranges from 1 to 27.
#The default value equals to the value of x. For example, the default value of the parameter "linekey.1.line" is 1.
#linekey.x.lable--Define the label for each line key.

#Configure Line Key1 
linekey.1.line = 
linekey.1.value = 
linekey.1.extension =
linekey.1.type = 
linekey.1.label = 
linekey.1.xml_phonebook = 

#Configure Line Key2
linekey.2.line = 
linekey.2.value = 
linekey.2.extension =
linekey.2.type = 
linekey.2.label = 
linekey.2.xml_phonebook = 

linekey.3.line = 
linekey.3.value = 
linekey.3.extension = 
linekey.3.type = 
linekey.3.label = 
linekey.3.xml_phonebook = 

linekey.4.line = 
linekey.4.value = 
linekey.4.extension =
linekey.4.type = 
linekey.4.label = 
linekey.4.xml_phonebook = 

linekey.5.line = 
linekey.5.value = 
linekey.5.extension = 
linekey.5.type = 
linekey.5.label = 
linekey.5.xml_phonebook = 

linekey.6.line = 
linekey.6.value = 
linekey.6.extension =
linekey.6.type = 
linekey.6.label = 
linekey.6.xml_phonebook = 

linekey.7.line = 
linekey.7.value = 
linekey.7.extension =
linekey.7.type = 
linekey.7.label = 
linekey.7.xml_phonebook = 

linekey.8.line = 
linekey.8.value = 
linekey.8.extension =
linekey.8.type = 
linekey.8.label = 
linekey.8.xml_phonebook = 

linekey.9.line = 
linekey.9.value = 
linekey.9.extension = 
linekey.9.type = 
linekey.9.label = 
linekey.9.xml_phonebook = 

linekey.10.line = 
linekey.10.value = 
linekey.10.extension =
linekey.10.type = 
linekey.10.label = 
linekey.10.xml_phonebook = 

linekey.11.line = 
linekey.11.value = 
linekey.11.extension = 
linekey.11.type = 
linekey.11.label =
linekey.11.xml_phonebook = 

linekey.12.line = 
linekey.12.value = 
linekey.12.extension = 
linekey.12.type = 
linekey.12.label = 
linekey.12.xml_phonebook =

linekey.13.line = 
linekey.13.value = 
linekey.13.extension = 
linekey.13.type = 
linekey.13.label =
linekey.13.xml_phonebook =

linekey.14.line = 
linekey.14.value = 
linekey.14.extension = 
linekey.14.type = 
linekey.14.label = 
linekey.14.xml_phonebook =

linekey.15.line = 
linekey.15.value = 
linekey.15.extension = 
linekey.15.type = 
linekey.15.xml_phonebook =
linekey.15.label = 

linekey.16.line = 
linekey.16.value = 
linekey.16.extension = 
linekey.16.type = 
linekey.16.xml_phonebook =
linekey.16.label = 

linekey.17.line = 
linekey.17.value = 
linekey.17.extension = 
linekey.17.type = 
linekey.17.xml_phonebook =
linekey.17.label = 

linekey.18.line = 
linekey.18.value = 
linekey.18.extension = 
linekey.18.type = 
linekey.18.xml_phonebook =
linekey.18.label = 

linekey.19.line = 
linekey.19.value = 
linekey.19.extension = 
linekey.19.type = 
linekey.19.xml_phonebook =
linekey.19.label = 

linekey.20.line = 
linekey.20.value = 
linekey.20.extension = 
linekey.20.type = 
linekey.20.xml_phonebook =
linekey.20.label = 


linekey.21.line = 
linekey.21.value = 
linekey.21.extension = 
linekey.21.type = 
linekey.21.xml_phonebook =
linekey.21.label = 


linekey.22.line = 
linekey.22.value = 
linekey.22.extension = 
linekey.22.type = 
linekey.22.xml_phonebook =
linekey.22.label = 

linekey.23.line = 
linekey.23.value = 
linekey.23.extension = 
linekey.23.type = 
linekey.23.xml_phonebook =
linekey.23.label = 

linekey.24.line = 
linekey.24.value = 
linekey.24.extension = 
linekey.24.type = 
linekey.24.xml_phonebook =
linekey.24.label = 

linekey.25.line = 
linekey.25.value = 
linekey.25.extension = 
linekey.25.type = 
linekey.25.xml_phonebook =
linekey.25.label = 

linekey.26.line = 
linekey.26.value = 
linekey.26.extension = 
linekey.26.type = 
linekey.26.xml_phonebook =
linekey.26.label = 

linekey.27.line = 
linekey.27.value = 
linekey.27.extension = 
linekey.27.type = 
linekey.27.xml_phonebook =
linekey.27.label = 
#######################################################################################
##                                   Programablekey                                  ##          
#######################################################################################
#X ranges from 1 to 13.
#programablekey.x.type--Customize the programmable key type.
#The valid types are: 
#0-N/A        2-Forward       5-DND              6-Redial               7-Call Return   8-SMS              9-Direct Pickup   13-Spead Dial 
#22-XML Group 23-Group Pickup 27-XML Browser     28-History             29-Directory    30-Menu            31-Switch Account 32-New SMS 
#33-Status    40-PTT          43-Local Phonebook 44-Broadsoft Phonebook 45-Local Group  46-Broadsoft Group 47-XML Phonebook  50-Keypad Lock
#PTT-add a specified prefix number before the dialed number.
#programablekey.x.line--Configure the desired line to apply the key feature. It ranges from 0 to 6.
#The value 0 of the "proramablekey.x.line" stands for Auto, it means the first available line. 
#But, when the programmable key is configured as Pick Up, the value 0 stands for line 1.

#programablekey.x.value =
#programablekey.x.xml_phonebook--Specify the desired remote phonebook/local group/BSFT phonebook for the programmable key. This parameter is only appilicable to the feature XML Group/Local Group/Broadsoft Group.
#programablekey.x.history_type =

#programablekey.x.label--This parameter is only available to the key 1 to key 4. 
programablekey.1.type = 
programablekey.1.line = 
programablekey.1.value = 
programablekey.1.xml_phonebook = 
programablekey.1.history_type = 
programablekey.1.label = 
programablekey.1.pickup_value =

##########################################################################################
##         	                        Expansion Key                                       ##               
##########################################################################################
#X ranges from 1 to 16, Y ranges from 1 to 40.
#expansion_module.x.key.y.type = 37 (Switch by default)
#expansion_module.x.key.y.line = 0 
#expansion_module.x.key.y.value = 
#expansion_module.x.key.y.pickup_value = 
#expansion_module.x.key.y.label =
#expansion_module.X.key.Y.xml_phonebook =

#Each expansion module1 key1
expansion_module.1.key.1.type = 
expansion_module.1.key.1.line = 
expansion_module.1.key.1.value = 
expansion_module.1.key.1.pickup_value = 
expansion_module.1.key.1.label =
expansion_module.1.key.1.xml_phonebook =

#Each expansion module1 key2
expansion_module.1.key.2.type =
expansion_module.1.key.2.line = 
expansion_module.1.key.2.value = 
expansion_module.1.key.2.pickup_value = 
expansion_module.1.key.2.label = 
expansion_module.1.key.2.xml_phonebook =

#Each expansion module2 key1
expansion_module.2.key.1.type = 
expansion_module.2.key.1.line = 
expansion_module.2.key.1.value = 
expansion_module.2.key.1.pickup_value = 
expansion_module.2.key.1.label =
expansion_module.2.key.1.xml_phonebook =

#######################################################################################
##                                   Forward Always                                  ##          
#######################################################################################
#Enable or disable the always forward feature; 0-Disabled (default), 1-Enabled;
forward.always.enable = 
forward.always.target = 
forward.always.on_code = 
forward.always.off_code = 

#######################################################################################
##                                   Forward Busy                                    ##          
#######################################################################################
#Enable or disable the busy forward feature; 0-Disabled (default), 1-Enabled;
forward.busy.enable = 
forward.busy.target = 
forward.busy.on_code = 
forward.busy.off_code = 

#######################################################################################
##                                   Forward No Answer                               ##          
#######################################################################################
#Enable or disable the no answer forward feature; 0-Disabled (default), 1-Enabled; 
#Configure the waiting ring times before forwarding. It ranges from 0 to 20, the default value is 2.
forward.no_answer.enable = 
forward.no_answer.target = 
forward.no_answer.timeout = 
forward.no_answer.on_code = 
forward.no_answer.off_code = 

#######################################################################################
##                                   Forward International                           ##          
#######################################################################################
#Enable or disable the phone to forward the call to the international number (the prefix is 00); 0-Disabled (default), 1-Enabled;
forward.international.enable =  

#######################################################################################
##                                   ACD                                             ##          
#######################################################################################
#Enable or disable the phone to automatically change the phone status to available; 0-Disabled (default), 1-Enabled;
acd.auto_available = 

#Configure the interval (in seconds) to automatically turn the state of the ACD agent to available. It ranges from 0 to 120, the default value is 60.
acd.auto_available_timer = 
acd.bw = 

#######################################################################################
##                                   Hotdesking Startup                              ##          
#######################################################################################
#Enable or disable the phone to show the following items on the login wizard during startup; 0-Disabled, 1-Enabled;  
#hotdesking.startup_register_name_enable = 1 (default)
#hotdesking.startup_username_enable = 1 (default)
#hotdesking.startup_password_enable = 0 (default)
#hotdesking.startup_sip_server_enable = 0 (default)
#hotdesking.startup_outbound_enable = 0 (default)

hotdesking.startup_register_name_enable = 
hotdesking.startup_username_enable = 
hotdesking.startup_password_enable = 
hotdesking.startup_sip_server_enable = 
hotdesking.startup_outbound_enable = 

#######################################################################################
##                                   Hotdesking Dsskey                               ##          
#######################################################################################
#Enable or disable the phone to show the following items on the login wizard when pressing the Hot Desking DSS key;
#0-Disabled, 1-Enabled;
#hotdesking.dsskey_register_name_enable = 1 (default)
#hotdesking.dsskey_username_enable = 1 (default)
#hotdesking.dsskey_password_enable = 0 (default)
#hotdesking.dsskey_sip_server_enable = 0 (default)
#hotdesking.dsskey_outbound_enable = 0 (default)

hotdesking.dsskey_register_name_enable = 
hotdesking.dsskey_username_enable = 
hotdesking.dsskey_password_enable =
hotdesking.dsskey_sip_server_enable = 
hotdesking.dsskey_outbound_enable = 

#######################################################################################
##                                   Alert Info                                      ##          
#######################################################################################
#"X" ranges from 1 to 10; 
#Configure the text to map the keywords contained in the "Alert-info" header.
#distinctive_ring_tones.alert_info.X.text = family
distinctive_ring_tones.alert_info.1.text = Ringer1
distinctive_ring_tones.alert_info.2.text = Ringer2
distinctive_ring_tones.alert_info.3.text = Ringer3
distinctive_ring_tones.alert_info.4.text = Ringer4
distinctive_ring_tones.alert_info.5.text = Ringer5
distinctive_ring_tones.alert_info.6.text = Ringer6
distinctive_ring_tones.alert_info.7.text = Ringer7
distinctive_ring_tones.alert_info.8.text = Ringer8


#Specify the ring tone for each text. It ranges from 1 to 8. The default value 1 stands for Ring1.wav.
#1-Ring1.wav, 2-Ring2.wav, 3-Ring3.wav, 4-Ring4.wav, 5-Ring5.wav, 6-Ring6.wav, 7-Ring7.wav, 8-Ring8.wav.
#distinctive_ring_tones.alert_info.X.ringer = 1

distinctive_ring_tones.alert_info.1.ringer = 1 
distinctive_ring_tones.alert_info.2.ringer = 2
distinctive_ring_tones.alert_info.3.ringer = 3
distinctive_ring_tones.alert_info.4.ringer = 4
distinctive_ring_tones.alert_info.5.ringer = 5
distinctive_ring_tones.alert_info.6.ringer = 6
distinctive_ring_tones.alert_info.7.ringer = 7
distinctive_ring_tones.alert_info.8.ringer = 8

#######################################################################################
##                                   Call Waiting                                    ##          
#######################################################################################
#Enable or disable the call waiting feature; 0-Disabled, 1-Enabled (default);
call_waiting.enable = 
#Enable or disable the playing of call waiting tone; 0-Disabled, 1-Enabled (default);
call_waiting.tone = 

call_waiting.on_code =
call_waiting.off_code =

#######################################################################################
##                                   Call Park                                       ##          
#######################################################################################
call_park.enable = 0
call_park.group_enable = 0
call_park.park_ring =
call_park.park_visual_notify_enable =

#######################################################################################
##                                   Action URL                                      ##          
#######################################################################################
#action_url.setup_completed--Inform the server that the phone has completed the startup.              
#action_url.dnd_on-- Inform the server that the DND is activated on the phone. 
#The value format is: http://IP address of server/help.xml?variable name=variable value. 
#The valid variable values are: $mac--MAC address of phone, $ip--The current IP address of phone, $model--Phone model, $firmware--Phone firmware version. 
#$active_url--The SIP URI of the current account when the phone is in the incoming state, outgoing state or during conversation. 
#$active_user--The username of the current account when the phone is in the incoming state, outgoing state or during conversation.
#$active_host--The host name of the current account when the phone is in the incoming state, the outgoing state or during conversation. 
#$local--The SIP URI of the caller when outgoing calls or the SIP URI of the callee when receiving calls. 
#$remote--The SIP URI of the callee when outgoing calls or the SIP URI of the caller when receiving calls.
#$display_local--The display name of the caller when outgoing calls or the display name of the callee when receiving calls.
#$display_remote--The display name of the callee when outgoing calls or the display name of the caller when receiving calls.
#$call_id--The caller ID when in the incoming state, the outgoing state or during conversation.
#For example, action_url.log_on = http://192.168.1.20/help.xml?mac=$mac

action_url.setup_completed = 
action_url.log_on = 
action_url.log_off = 
action_url.register_failed = 
action_url.off_hook = 
action_url.on_hook = 
action_url.incoming_call = 
action_url.outgoing_call = 
action_url.call_established = 
action_url.dnd_on = 
action_url.dnd_off = 
action_url.always_fwd_on = 
action_url.always_fwd_off = 
action_url.busy_fwd_on = 
action_url.busy_fwd_off = 
action_url.no_answer_fwd_on = 
action_url.no_answer_fwd_off = 
action_url.transfer_call = 
action_url.blind_transfer_call =
action_url.attended_transfer_call = 
action_url.hold = 
action_url.unhold = 
action_url.mute = 
action_url.unmute = 
action_url.missed_call = 
action_url.call_terminated = 
action_url.busy_to_idle = 
action_url.idle_to_busy = 
action_url.ip_change = 
action_url.forward_incoming_call = 
action_url.reject_incoming_call = 
action_url.answer_new_incoming_call = 
action_url.transfer_finished = 
action_url.transfer_failed = 

#######################################################################################
##                                   Ringtone                                        ##          
#######################################################################################
#Before using this parameter, you should store the desired ring tone (x.wav) to the provisioning server.
#For more information, refer to Yealink Auto Provisioning User Guide.
ringtone.url =

#ringtone.delete = http://localhost/all,delete all the customized ring tones.
ringtone.delete = 

#######################################################################################
##                                   UI Language                                     ##          
#######################################################################################
#Before using this parameter, you should store the desired language pack to the provisioning server.
#For more information, refer to Yealink Auto Provisioning User Guide.
gui_lang.url = 

#gui_lang.delete = http://localhost/all, delete all the customized languages.
gui_lang.delete = 

#######################################################################################
##                                   Trusted Certificates                            ##          
#######################################################################################
#Before using this parameter, you should store the desired certificate to the provisioning server.
trusted_certificates.url = 

#trusted_certificates.delete = http://localhost/all,delete all the trusted certificates. 
trusted_certificates.delete = 

#######################################################################################
##                                   Server Certificates                             ##          
#######################################################################################
#Before using this parameter, you should store the desired certificate to the provisioning server.
server_certificates.url = 

#server_certificates.delete = http://localhost/all, delete the server certificate. 
server_certificates.delete = 

#######################################################################################
##                                   Contact                                         ##          
#######################################################################################
#Before using these parameters, you should store the desired resource files to the provisioning server.
#For more information, refer to Yealink SIP-T46G IP Phone Family Administrator Guide.
local_contact.data.url = 

#######################################################################################
##                                   Auto DST                                        ##          
#######################################################################################
auto_dst.url =

#######################################################################################
##                                   Dialplan Now                                    ##          
#######################################################################################
dialplan_dialnow.url = 

#######################################################################################
##                                   Dialplan Replace                                ##          
#######################################################################################
dialplan_replace_rule.url =

#######################################################################################
##                                   Custom Factory Configuration                    ##          
#######################################################################################
#Configure the access URL for downloading the customized factory configurations.
#Before using this parameter, you should store the desired factory configuration file to the provisioning server.
custom_factory_configuration.url =

#######################################################################################
##                                   Custom  Configuration                           ##          
#######################################################################################
#Configure the access URL for downloading the configurations.
#Before using this parameter, you should store the desired configuration file to the provisioning server.
configuration.url =

#######################################################################################
##                                   Custom Softkey                                  ##          
#######################################################################################
#Customize the softkeys presented on the phone LCD screen when Callfailed, Callin, Connecting, Dialing, Ringback and Talking. 
#Before using these parameters, you should store the desired XML files to the provisioning server.
custom_softkey_call_failed.url = 
custom_softkey_call_in.url = 
custom_softkey_connecting.url = 
custom_softkey_dialing.url = 
custom_softkey_ring_back.url = 
custom_softkey_talking.url = 

#######################################################################################
##                                   Local Contact Photo                             ##          
#######################################################################################
local_contact.data_photo_tar.url =

#######################################################################################
##                                   Wallpaper                                       ##          
#######################################################################################
wallpaper_upload.url =

#######################################################################################
##                                   Call List                                       ##          
#######################################################################################
#Configure the access URL for downloading the call list.
#Before using this parameter, you should store the desired call list file to the provisioning server.
#Require reboot
call_list.url = 

#######################################################################################
##                                   Open VPN                                        ##          
#######################################################################################
#Configure the access URL for downloading the open VPN tar.
#Before using this parameter, you should store the desired VPN file to the provisioning server
openvpn.url = 

#######################################################################################
##                                   Level                                           ##          
#######################################################################################
#Configure the access URL for downloading the files for var.
#Before using this parameter, you should store the desired files to the provisioning server.
#Require reboot
web_item_level.url = 

#######################################################################################
##                                   Super Search URL                                ##          
#######################################################################################
super_search.url =

#######################################################################################
##                                   Sirectory Setting                               ##          
#######################################################################################
#Configure the access URL of the directory setting file.
directory_setting.url =

#######################################################################################
##                                   Configure the access URL of firmware            ##          
#######################################################################################
#Before using this parameter, you should store the desired firmware (x.71.x.x.rom) to the provisioning server.
firmware.url =

#######################################################################################
##                           Account1 Basic Settings                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.enable = 
account.1.enable = 1
account.1.label = 
account.1.display_name =
account.1.auth_name = 
account.1.password = 
account.1.user_name = 
account.1.sip_server_host = 
account.1.sip_server_port = 5060
account.1.outbound_proxy_enable = 
account.1.outbound_host = 
account.1.outbound_port = 5060
account.1.sip_listen_port = 5060
#Configure the transport type; 0-UDP (default), 1-TCP, 2-TLS, 3-DNS SRV;
account.1.transport = 0

#######################################################################################
##                          Failback                                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.reregister_enable = 0

account.1.reregister_enable = 1
account.1.retry_counts = 
account.1.failback_mode = 0 
account.1.failback_timeout = 30
account.1.naptr_build = 0
account.1.fallback.redundancy_type = 0
account.1.fallback.timeout = 120
account.1.sip_server.1.address = 
account.1.sip_server.1.port = 5060
account.1.sip_server.1.expires = 3600
account.1.sip_server.1.retry_counts = 3
account.1.sip_server.1.failback_mode = 0
account.1.sip_server.1.failback_timeout = 3600
account.1.sip_server.1.register_on_enable = 0
account.1.sip_server.2.address = 
account.1.sip_server.2.port = 5060
account.1.sip_server.2.expires = 3600
account.1.sip_server.2.retry_counts = 3
account.1.sip_server.2.failback_mode = 0
account.1.sip_server.2.failback_timeout = 3600
account.1.sip_server.2.register_on_enable = 0
account.1.dns_cache_type = 1

account.1.dns_cache_a.1.name =
account.1.dns_cache_a.1.ip =
account.1.dns_cache_a.1.ttl = 300

account.1.dns_cache_srv.1.name =
account.1.dns_cache_srv.1.port = 0
account.1.dns_cache_srv.1.priority = 0
account.1.dns_cache_srv.1.target =
account.1.dns_cache_srv.1.weight = 0
account.1.dns_cache_srv.1.ttl = 300
account.1.dns_cache_naptr.1.name =
account.1.dns_cache_naptr.1.flags =
account.1.dns_cache_naptr.1.order = 0
account.1.dns_cache_naptr.1.preference = 0
account.1.dns_cache_naptr.1.replace =
account.1.dns_cache_naptr.1.service =
account.1.dns_cache_naptr.1.ttl = 300

account.1.static_cache_pri = 0

#######################################################################################
##                           Register Advanced                                       ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.sip_server_type = 

#Configure the SIP server type; 0-Default (default), 2-BroadSoft, 4-Cosmocom;
account.1.sip_server_type = 
#Enable or disable the phone to send the account log-off message first and then send account register message when rebooting the phone; 0-Disabled (default), 1-Enabled;
account.1.unregister_on_reboot = 1

#Enable or disable the phone to only accept the message from the server; 0-Disabled (default), 1-Enabled;
account.1.sip_trust_ctrl = 

#Configure the timeout (in seconds) for DNS query, the value ranges from 1 to 9, the default value is 8.
account.1.dns_query_timeout= 

#Enable or disable the timer to periodically refresh the DNS-SRV query result; 0-Disabled (default), 1-Enabled;
account.1.srv_ttl_timer_enable = 
account.1.proxy_require =


#Enable or disable the phone to send the MAC address and line number in the Register message; 0-Disabled (default), 1-Enabled;    
account.1.register_mac = 
account.1.register_line = 

#Configure the interval (in seconds) the phone retries to register when account1 fails to register. It ranges from 0 to 1800, the default value is 30.
account.1.reg_fail_retry_interval = 

#########################################################################
##                     NAT Settings                                    ##
#########################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.nat.nat_traversal = 0

#Enable or disable the NAT traversal; 0-Disabled (default), 1-STUN;
account.1.nat.nat_traversal = 0

account.1.nat.stun_server = 
account.1.nat.stun_port = 3478

#Enable or disable the NAT keep-alive; 0-Disabled, 1-Default (default)£¬2-Option£¬3-Notify;
account.1.nat.udp_update_enable = 1

#Specify the keep-alive interval (in seconds), the default value is 30.
account.1.nat.udp_update_time = 30

#Enable or disable the NAT Rport; 0-Disabled (default), 1-Enabled;
account.1.nat.rport = 0


#######################################################################################
##                            AccountX Advance Settings                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.advanced.timer_t1 = 0.5
##voice_mail.number.X = 

#Configure the session timer (in seconds), the default value of T1, T2, T3 is 0.5, 4, 5.
account.1.advanced.timer_t1 = 
account.1.advanced.timer_t2 = 
account.1.advanced.timer_t4 = 


voice_mail.number.1 = 


#######################################################################################
##                            Subscribe                                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.subscribe_mwi = 

account.1.subscribe_mwi = 0
account.1.subscribe_mwi_expires = 3600

#Enable or disable the phone to subscribe to the voicemail through the message waiting indicator; 0-Disabled (default), 1-Enabled;
account.1.subscribe_mwi_to_vm = 

account.1.subscribe_acd_expires= 3600


#######################################################################################
##                            BLF List                                               ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.blf.blf_list_uri = 

#Configure the BLF list URI (a SIP URI, or use part of the SIP URI). For example, "2300_blflist@domain.com" or "2300_blflist".
account.1.blf.blf_list_uri = 

account.1.blf_list_code = 
account.1.blf_list_barge_in_code = 
account.1.blf.subscribe_period = 1800

account.1.blf.subscribe_event =
account.1.out_dialog_blf_enable = 0


#######################################################################################
##                            BLA/SCA                                                ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.shared_line =

#Assign account1 as shared line; 0-Disabled (default), 1-Broadsoft SCA, 2-BLA;
account.1.shared_line = 

#Configure BLA number for account1 and the subscribe period (in seconds). It ranges from 60 to 7200, the default value is 300.
account.1.bla_number = 
account.1.bla_subscribe_period = 300

#######################################################################################
##                            Audio Codec                                            ##                                                                          
#######################################################################################
#Audio codecs for account1 (Y ranges from 1 to 11).
#Enable or disable the specified codec; 0-Disabled, 1-Enabled;
#account.1.codec.Y.enable = 
#The type of the specified codec.
#account.1.codec.Y.payload_type = 
#The priority of the specified codec. It's available when the codec is enabled.
#account.1.codec.Y.priority = 
#The payload of the specified codec.
#account.1.codec.Y.rtpmap = 

account.1.codec.1.enable = 0
account.1.codec.1.payload_type = PCMU
account.1.codec.1.priority = 1
account.1.codec.1.rtpmap = 0

account.1.codec.2.enable = 1
account.1.codec.2.payload_type = PCMA
account.1.codec.2.priority = 2 
account.1.codec.2.rtpmap = 8

account.1.codec.3.enable = 0 
account.1.codec.3.payload_type = G723_53
account.1.codec.3.priority =0
account.1.codec.3.rtpmap = 4

account.1.codec.4.enable = 0
account.1.codec.4.payload_type = G723_63
account.1.codec.4.priority = 0
account.1.codec.4.rtpmap = 4

account.1.codec.5.enable = 0
account.1.codec.5.payload_type = G729
account.1.codec.5.priority = 3
account.1.codec.5.rtpmap = 18

account.1.codec.6.enable = 1
account.1.codec.6.payload_type = G722
account.1.codec.6.priority = 1
account.1.codec.6.rtpmap = 9

account.1.codec.7.enable = 0
account.1.codec.7.payload_type = iLBC
account.1.codec.7.priority =  0
account.1.codec.7.rtpmap = 106

account.1.codec.8.enable = 0
account.1.codec.8.payload_type = G726-16
account.1.codec.8.priority = 0
account.1.codec.8.rtpmap = 103

account.1.codec.9.enable = 0
account.1.codec.9.payload_type = G726-24
account.1.codec.9.priority = 0
account.1.codec.9.rtpmap = 104

account.1.codec.10.enable = 0
account.1.codec.10.payload_type = G726-32 
account.1.codec.10.priority = 0 
account.1.codec.10.rtpmap = 102

account.1.codec.11.enable = 0
account.1.codec.11.payload_type = G726-40
account.1.codec.11.priority = 0
account.1.codec.11.rtpmap = 105

account.1.codec.12.enable = 0
account.1.codec.12.payload_type = GSM
account.1.codec.12.priority = 0
account.1.codec.12.rtpmap = 3


#######################################################################################
##                            Audio Advanced                                         ##                                                                          
#######################################################################################
#Specify whether to encrypt the SIP messages; 0-Disabled (default), 1-Forced, 2-Negotiated;
account.1.srtp_encryption = 

#Configure the RTP packet time. The valid values are 0 (Disabled), 10, 20 (default), 30, 40, 50, 60.
account.1.ptime = 


#######################################################################################
##                            Anonymous Call                                         ##                                                                          
#######################################################################################
account.1.anonymous_call = 0
account.1.anonymous_call_oncode = 
account.1.anonymous_call_offcode = 

account.1.reject_anonymous_call = 
account.1.anonymous_reject_oncode = 
account.1.anonymous_reject_offcode = 

#######################################################################################
##                            Pickup Code                                            ##                                                                          
#######################################################################################
account.1.dialoginfo_callpickup = 0

#Configure the directed and group pickup codes for account 1, the settings on a per-account basis take precedence over the settings on the phone.
account.1.group_pickup_code = 
account.1.direct_pickup_code = 

#######################################################################################
##                            DTMF                                                   ##                                                                          
#######################################################################################
#Configure the DTMF type; 0-INBAND, 1-RFC2833 (default), 2-SIP INFO, 3-AUTO+SIP INFO;
account.1.dtmf.type = 

#Configure the DTMF info type when using the SIP INFO; 0-Disabled (default), 1-DTMF-Relay, 2-DTMF, 3-Telephone-Event;
account.1.dtmf.info_type = 

#Configure the RFC2833 payload. It ranges from 96 to 255, the default value is 101.
account.1.dtmf.dtmf_payload = 

#######################################################################################
##                            Alert info                                             ##                                                                          
#######################################################################################
#Enable or disable to use the Distinctive Ring Tones; 0-Disabled , 1-Enabled(default);
account.1.alert_info_url_enable = 

#Assign a ringtone for account1. The system ring tones are: common (default), Ring1.wav, Ring2.wav,¡­¡­Ring8.wav.
#If you set the custom ring tone (Busy.wav) for the phone, the value is: account.1.ringtone.ring_type = Config:Busy.wav
#If you set the system ring tone (Ring2.wav) for the phone, the value is: account.1.ringtone.ring_type = Resource:Ring2.wav
account.1.ringtone.ring_type =  

account.1.picture_info_enable = 1

#######################################################################################
##                            Conference                                             ##                                                                          
#######################################################################################
#Configure the conference type; 0-Local (default), 2-Network Conference;
account.1.conf_type = 

#Configure the conference URI (a SIP URI, or use part of the SIP URI). For example, "conference@domain.com" or "conference". 
account.1.conf_uri = 

#######################################################################################
##                            cid_source                                             ##                                                                          
#######################################################################################
#Configure the type of SIP header(s) to carry the caller ID; 0-FROM (default), 1-PAI 2-PAI-FROM, 3-PRID-PAI-FROM, 4-PAI-RPID-FROM, 5-RPID-FROM;
account.1.cid_source = 

account.1.cid_source_privacy = 1
account.1.cid_source_ppi = 1
account.1.cp_source = 0

#######################################################################################
##                            Session Timer                                          ##                                                                          
#######################################################################################
#Enable or disable the session timer, 0-Disabled (default), 1-Enabled;  
account.1.session_timer.enable = 

#Configure the refresh session timer interval (in seconds). It ranges from 1 to 9999.
account.1.session_timer.expires = 

#Configure the session timer refresher; 0-Uac (default), 1-Uas; 
account.1.session_timer.refresher = 

#######################################################################################
##                            Music on Hold                                          ##                                                                          
#######################################################################################
#Configure the type of Music on Hold; 0-Send the INVITE request to Music on Hold Server then hold the call; 1-Hold the call then send the INVITE request to Music on Hold Server;
#Require reboot;
account.1.music_on_hold_type = 0

account.1.music_server_uri = 

#######################################################################################
##                            Advanced                                               ##                                                                          
#######################################################################################
#Enable or disable the auto answer feature; 0-Disabled (default), 1-Enabled;
account.1.auto_answer = 0

#Enable or disable the phone to record the missed call; 0-Disabled, 1-Enabled (default);
account.1.missed_calllog = 

#Enable or disable the 100 reliable retransmission; 0-Disabled (default), 1-Enabled;
account.1.100rel_enable = 

#Enable or disable the "user=phone"; 0-Disabled (default), 1-Enabled;
account.1.enable_user_equal_phone = 

#Enbale or diable the simplified header field feature; 0-Disabled, 1-Enabled (default);
account.1.compact_header_enable = 

#######################################################################################
##                                   DND                                             ##                                       
#######################################################################################
account.1.dnd.enable = 
account.1.dnd.on_code = 
account.1.dnd.off_code =

#######################################################################################
##                                 Call Forward                                      ##                                       
#######################################################################################

account.1.always_fwd.enable = 
account.1.always_fwd.target = 
account.1.always_fwd.off_code =
account.1.always_fwd.on_code =

account.1.busy_fwd.enable =          
account.1.busy_fwd.target =         
account.1.busy_fwd.off_code =
account.1.busy_fwd.on_code =

#Enable or disable the no answer forward feature for account1; 0-Disabled (default), 1-Enabled; 
#Configure the waiting ring times before forwarding. It ranges from 0 to 20, the default value is 2.
account.1.timeout_fwd.enable = 
account.1.timeout_fwd.target =
account.1.timeout_fwd.timeout =  
account.1.timeout_fwd.off_code =
account.1.timeout_fwd.on_code = 

#######################################################################################
##                                 Broadsoft Hoteling                                ##                                       
#######################################################################################
account.1.hoteling.enable = 0
account.1.hoteling.user_id = 0
account.1.hoteling.password = 0
account.1.hoteling.auto_login_enable = 0

#######################################################################################
##                                 Broadsoft ACD                                     ##                                       
#######################################################################################
account.1.acd.enable = 0
account.1.acd.unavailable_reason_enable = 0
account.1.acd.available = 0
account.1.acd.initial_state = 1

#######################################################################################
##                                 Broadsoft ACD Call Center                         ##                                       
#######################################################################################
#Configure the ACD reason code of Broadsoft.(The valus of Y must be consecutive numbers.)
#account.1.bw_acd_reason_code.Y = 500(lunch time)
account.1.bw_acd_reason_code.1 = 

account.1.reason_code.1 =
account.1.reason_code_name.1 = 0
account.1.bw_disp_code.1 =
account.1.bw_disp_code_name.1 =
account.1.supervisor_info_code.1 =
account.1.supervisor_info_code_name.1 =

#######################################################################################
##                                 Broadsoft Call Center                             ##                                       
#######################################################################################
account.1.call_center.call_info_enable = 0
account.1.call_center.show_call_info_time = 30
account.1.call_center.disp_code_enable = 0
account.1.call_center.trace_enable = 0
account.1.call_center.emergency_enable = 0
account.1.call_center.queue_status_enable = 0
account.1.call_center.queue_status_light_enable = 0

#######################################################################################
##                                 Broadsoft XSI                                     ##                                       
#######################################################################################
account.1.xsi.user =
account.1.xsi.password =
account.1.xsi.host =
account.1.xsi.server_type =
account.1.xsi.port =


#######################################################################################
##                           Account2 Basic Settings                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.enable = 
account.2.enable = 
account.2.label = 
account.2.display_name =
account.2.auth_name = 
account.2.password = 
account.2.user_name = 
account.2.sip_server_host = 
account.2.sip_server_port = 5060
account.2.outbound_proxy_enable = 
account.2.outbound_host = 
account.2.outbound_port = 5060
account.2.sip_listen_port = 5060
#Configure the transport type; 0-UDP (default), 1-TCP, 2-TLS, 3-DNS SRV;
account.2.transport = 

#######################################################################################
##                          Failback                                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.reregister_enable = 0

account.2.reregister_enable = 0
account.2.retry_counts = 
account.2.failback_mode = 0 
account.2.failback_timeout = 3600
account.2.naptr_build = 0
account.2.fallback.redundancy_type = 0
account.2.fallback.timeout = 120
account.2.sip_server.1.address = 
account.2.sip_server.1.port = 5060
account.2.sip_server.1.expires = 3600
account.2.sip_server.1.retry_counts = 3
account.2.sip_server.1.failback_mode = 0
account.2.sip_server.1.failback_timeout = 3600
account.2.sip_server.1.register_on_enable = 0
account.2.sip_server.2.address = 
account.2.sip_server.2.port = 5060
account.2.sip_server.2.expires = 3600
account.2.sip_server.2.retry_counts = 3
account.2.sip_server.2.failback_mode = 0
account.2.sip_server.2.failback_timeout = 3600
account.2.sip_server.2.register_on_enable = 0
account.2.dns_cache_type = 1

account.2.dns_cache_a.1.name =
account.2.dns_cache_a.1.ip =
account.2.dns_cache_a.1.ttl = 300

account.2.dns_cache_srv.0.name =
account.2.dns_cache_srv.0.port = 0
account.2.dns_cache_srv.0.priority = 0
account.2.dns_cache_srv.0.target =
account.2.dns_cache_srv.0.weight = 0
account.2.dns_cache_srv.0.ttl = 300
account.2.dns_cache_naptr.0.name =
account.2.dns_cache_naptr.0.flags =
account.2.dns_cache_naptr.0.order = 0
account.2.dns_cache_naptr.0.preference = 0
account.2.dns_cache_naptr.0.replace =
account.2.dns_cache_naptr.0.service =
account.2.dns_cache_naptr.0.ttl = 300

account.2.static_cache_pri = 0

#######################################################################################
##                           Register Advanced                                       ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.sip_server_type = 

#Configure the SIP server type; 0-Default (default), 2-BroadSoft, 4-Cosmocom;
account.2.sip_server_type = 
#Enable or disable the phone to send the account log-off message first and then send account register message when rebooting the phone; 0-Disabled (default), 1-Enabled;
account.2.unregister_on_reboot = 

#Enable or disable the phone to only accept the message from the server; 0-Disabled (default), 1-Enabled;
account.2.sip_trust_ctrl = 

#Configure the timeout (in seconds) for DNS query, the value ranges from 1 to 9, the default value is 8.
account.2.dns_query_timeout= 

#Enable or disable the timer to periodically refresh the DNS-SRV query result; 0-Disabled (default), 1-Enabled;
account.2.srv_ttl_timer_enable = 
account.2.proxy_require =


#Enable or disable the phone to send the MAC address and line number in the Register message; 0-Disabled (default), 1-Enabled;    
account.2.register_mac = 
account.2.register_line = 

#Configure the interval (in seconds) the phone retries to register when account1 fails to register. It ranges from 0 to 1800, the default value is 30.
account.2.reg_fail_retry_interval = 

#########################################################################
##                     NAT Settings                                    ##
#########################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.nat.nat_traversal = 0

#Enable or disable the NAT traversal; 0-Disabled (default), 1-STUN;
account.2.nat.nat_traversal = 0

account.2.nat.stun_server = 
account.2.nat.stun_port = 3478

#Enable or disable the NAT keep-alive; 0-Disabled, 1-Default (default)£¬2-Option£¬3-Notify;
account.2.nat.udp_update_enable = 1

#Specify the keep-alive interval (in seconds), the default value is 30.
account.2.nat.udp_update_time = 30

#Enable or disable the NAT Rport; 0-Disabled (default), 1-Enabled;
account.2.nat.rport = 0


#######################################################################################
##                            Account2 Advance Settings                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.advanced.timer_t1 = 0.5
##voice_mail.number.X = 

#Configure the session timer (in seconds), the default value of T1, T2, T3 is 0.5, 4, 5.
account.2.advanced.timer_t1 = 0.5
account.2.advanced.timer_t2 = 4
account.2.advanced.timer_t4 = 5


voice_mail.number.2 = 


#######################################################################################
##                            Subscribe                                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.subscribe_mwi = 

account.2.subscribe_mwi = 0
account.2.subscribe_mwi_expires = 3600

#Enable or disable the phone to subscribe to the voicemail through the message waiting indicator; 0-Disabled (default), 1-Enabled;
account.2.subscribe_mwi_to_vm = 0

account.2.subscribe_acd_expires= 3600


#######################################################################################
##                            BLF List                                               ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.blf.blf_list_uri = 

#Configure the BLF list URI (a SIP URI, or use part of the SIP URI). For example, "2300_blflist@domain.com" or "2300_blflist".
account.2.blf.blf_list_uri = 

account.2.blf_list_code = 
account.2.blf_list_barge_in_code = 
account.2.blf.subscribe_period = 1800

account.2.blf.subscribe_event =
account.2.out_dialog_blf_enable = 0


#######################################################################################
##                            BLA/SCA                                                ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.shared_line =

#Assign account1 as shared line; 0-Disabled (default), 1-Broadsoft SCA, 2-BLA;
account.2.shared_line = 

#Configure BLA number for account1 and the subscribe period (in seconds). It ranges from 60 to 7200, the default value is 300.
account.2.bla_number = 
account.2.bla_subscribe_period = 300

#######################################################################################
##                            Audio Codec                                            ##                                                                          
#######################################################################################
#Audio codecs for account1 (Y ranges from 1 to 11).
#Enable or disable the specified codec; 0-Disabled, 1-Enabled;
#account.2.codec.Y.enable = 
#The type of the specified codec.
#account.2.codec.Y.payload_type = 
#The priority of the specified codec. It's available when the codec is enabled.
#account.2.codec.Y.priority = 
#The payload of the specified codec.
#account.2.codec.Y.rtpmap = 

account.2.codec.1.enable = 1
account.2.codec.1.payload_type = PCMU
account.2.codec.1.priority = 1
account.2.codec.1.rtpmap = 0

account.2.codec.2.enable = 1
account.2.codec.2.payload_type = PCMA
account.2.codec.2.priority = 2 
account.2.codec.2.rtpmap = 8

account.2.codec.3.enable = 0 
account.2.codec.3.payload_type = G723_53
account.2.codec.3.priority =0
account.2.codec.3.rtpmap = 4

account.2.codec.4.enable = 0
account.2.codec.4.payload_type = G723_63
account.2.codec.4.priority = 0
account.2.codec.4.rtpmap = 4

account.2.codec.5.enable = 1
account.2.codec.5.payload_type = G729
account.2.codec.5.priority = 3
account.2.codec.5.rtpmap = 18

account.2.codec.6.enable = 1
account.2.codec.6.payload_type = G722
account.2.codec.6.priority = 4
account.2.codec.6.rtpmap = 9

account.2.codec.7.enable = 0
account.2.codec.7.payload_type = iLBC
account.2.codec.7.priority =  0
account.2.codec.7.rtpmap = 106

account.2.codec.8.enable = 0
account.2.codec.8.payload_type = G726-16
account.2.codec.8.priority = 0
account.2.codec.8.rtpmap = 103

account.2.codec.9.enable = 0
account.2.codec.9.payload_type = G726-24
account.2.codec.9.priority = 0
account.2.codec.9.rtpmap = 104

account.2.codec.10.enable = 0
account.2.codec.10.payload_type = G726-32 
account.2.codec.10.priority = 0 
account.2.codec.10.rtpmap = 102

account.2.codec.11.enable = 0
account.2.codec.11.payload_type = G726-40
account.2.codec.11.priority = 0
account.2.codec.11.rtpmap = 105

account.2.codec.12.enable = 0
account.2.codec.12.payload_type = GSM
account.2.codec.12.priority = 0
account.2.codec.12.rtpmap = 3


#######################################################################################
##                            Audio Advanced                                         ##                                                                          
#######################################################################################
#Specify whether to encrypt the SIP messages; 0-Disabled (default), 1-Forced, 2-Negotiated;
account.2.srtp_encryption = 

#Configure the RTP packet time. The valid values are 0 (Disabled), 10, 20 (default), 30, 40, 50, 60.
account.2.ptime = 


#######################################################################################
##                            Anonymous Call                                         ##                                                                          
#######################################################################################
account.2.anonymous_call = 0
account.2.anonymous_call_oncode = 
account.2.anonymous_call_offcode = 

account.2.reject_anonymous_call = 
account.2.anonymous_reject_oncode = 
account.2.anonymous_reject_offcode = 

#######################################################################################
##                            Pickup Code                                            ##                                                                          
#######################################################################################
account.2.dialoginfo_callpickup = 0

#Configure the directed and group pickup codes for account 1, the settings on a per-account basis take precedence over the settings on the phone.
account.2.group_pickup_code = 
account.2.direct_pickup_code = 

#######################################################################################
##                            DTMF                                                   ##                                                                          
#######################################################################################
#Configure the DTMF type; 0-INBAND, 1-RFC2833 (default), 2-SIP INFO, 3-AUTO+SIP INFO;
account.2.dtmf.type = 

#Configure the DTMF info type when using the SIP INFO; 0-Disabled (default), 1-DTMF-Relay, 2-DTMF, 3-Telephone-Event;
account.2.dtmf.info_type = 

#Configure the RFC2833 payload. It ranges from 96 to 255, the default value is 101.
account.2.dtmf.dtmf_payload = 

#######################################################################################
##                            Alert info                                             ##                                                                          
#######################################################################################
#Enable or disable to use the Distinctive Ring Tones;  0-Disabled , 1-Enabled(default);
account.2.alert_info_url_enable = 

#Assign a ringtone for account2. The system ring tones are: common (default), Ring1.wav, Ring2.wav,¡­¡­Ring8.wav.
#If you set the custom ring tone (Busy.wav) for the phone, the value is: account.2.ringtone.ring_type = Config:Busy.wav
#If you set the system ring tone (Ring2.wav) for the phone, the value is: account.2.ringtone.ring_type = Resource:Ring2.wav
account.2.ringtone.ring_type =  

account.2.picture_info_enable = 1

#######################################################################################
##                            Conference                                             ##                                                                          
#######################################################################################
#Configure the conference type; 0-Local (default), 2-Network Conference;
account.2.conf_type = 

#Configure the conference URI (a SIP URI, or use part of the SIP URI). For example, "conference@domain.com" or "conference". 
account.2.conf_uri = 

#######################################################################################
##                            cid source                                             ##                                                                          
#######################################################################################
#Configure the type of SIP header(s) to carry the caller ID; 0-FROM (default), 1-PAI 2-PAI-FROM, 3-PRID-PAI-FROM, 4-PAI-RPID-FROM, 5-RPID-FROM;
account.2.cid_source = 

account.2.cid_source_privacy = 1
account.2.cid_source_ppi = 1
account.2.cp_source = 0

#######################################################################################
##                            Session Timer                                          ##                                                                          
#######################################################################################
#Enable or disable the session timer, 0-Disabled (default), 1-Enabled;  
account.2.session_timer.enable = 

#Configure the refresh session timer interval (in seconds). It ranges from 1 to 9999.
account.2.session_timer.expires = 

#Configure the session timer refresher; 0-Uac (default), 1-Uas; 
account.2.session_timer.refresher = 

#######################################################################################
##                            Music on Hold                                          ##                                                                          
#######################################################################################
#Configure the type of Music on Hold; 0-Send the INVITE request to Music on Hold Server then hold the call; 1-Hold the call then send the INVITE request to Music on Hold Server;
#Require reboot;
account.2.music_on_hold_type = 

account.2.music_server_uri = 

#######################################################################################
##                            Advanced                                               ##                                                                          
#######################################################################################
#Enable or disable the auto answer feature; 0-Disabled (default), 1-Enabled;
account.2.auto_answer = 

#Enable or disable the phone to record the missed call; 0-Disabled, 1-Enabled (default);
account.2.missed_calllog = 

#Enable or disable the 100 reliable retransmission; 0-Disabled (default), 1-Enabled;
account.2.100rel_enable = 

#Enable or disable the "user=phone"; 0-Disabled (default), 1-Enabled;
account.2.enable_user_equal_phone = 

#Enbale or diable the simplified header field feature; 0-Disabled, 1-Enabled (default);
account.2.compact_header_enable = 

#######################################################################################
##                                   DND                                             ##                                       
#######################################################################################
account.2.dnd.enable = 
account.2.dnd.on_code = 
account.2.dnd.off_code =

#######################################################################################
##                                 Call Forward                                      ##                                       
#######################################################################################
#Enable or disable the busy forward feature for account; 0-Disabled (default), 1-Enabled;
account.2.always_fwd.enable = 
account.2.always_fwd.target = 
account.2.always_fwd.off_code =
account.2.always_fwd.on_code =

account.2.busy_fwd.enable =          
account.2.busy_fwd.target =         
account.2.busy_fwd.off_code =
account.2.busy_fwd.on_code =

#Enable or disable the no answer forward feature for account1; 0-Disabled (default), 1-Enabled; 
#Configure the waiting ring times before forwarding. It ranges from 0 to 20, the default value is 2.
account.2.timeout_fwd.enable = 
account.2.timeout_fwd.target =
account.2.timeout_fwd.timeout =  
account.2.timeout_fwd.off_code =
account.2.timeout_fwd.on_code = 

#######################################################################################
##                                 Broadsoft Hoteling                                ##                                       
#######################################################################################
account.2.hoteling.enable = 0
account.2.hoteling.user_id = 0
account.2.hoteling.password = 0
account.2.hoteling.auto_login_enable = 0

#######################################################################################
##                                 Broadsoft ACD                                     ##                                       
#######################################################################################
account.2.acd.enable = 0
account.2.acd.unavailable_reason_enable = 0
account.2.acd.available = 0
account.2.acd.initial_state = 1

#######################################################################################
##                                 Broadsoft ACD Call Center                         ##                                       
#######################################################################################
#Configure the ACD reason code of Broadsoft.(The valus of Y must be consecutive numbers.)
#account.2.bw_acd_reason_code.Y = 500(lunch time)
account.2.bw_acd_reason_code.1 = 

account.2.reason_code.1 =
account.2.reason_code_name.1 = 0
account.2.bw_disp_code.1 =
account.2.bw_disp_code_name.1 =
account.2.supervisor_info_code.1 =
account.2.supervisor_info_code_name.1 =

#######################################################################################
##                                 Broadsoft Call Center                             ##                                       
#######################################################################################
account.2.call_center.call_info_enable = 0
account.2.call_center.show_call_info_time = 30
account.2.call_center.disp_code_enable = 0
account.2.call_center.trace_enable = 0
account.2.call_center.emergency_enable = 0
account.2.call_center.queue_status_enable = 0
account.2.call_center.queue_status_light_enable = 0

#######################################################################################
##                                 Broadsoft XSI                                     ##                                       
#######################################################################################
account.2.xsi.user =
account.2.xsi.password =
account.2.xsi.host =
account.2.xsi.server_type =
account.2.xsi.port =


#######################################################################################
##                                 Time                                              ##                                       
#######################################################################################
#Configure the time zone and time zone name. The time zone ranges from -11 to +12, the default value is +8.
#local_time.time_zone = +8
#local_time.time_zone_name = China(Beijing) 
local_time.time_zone = 
local_time.time_zone_name = 


#######################################################################################
##                                   NETWORK                                         ##                                       
#######################################################################################
##0-ipv4£¬1-ipv6,2-ipv4&ipv6
network.ip_address_mode = 2

network.ipv6_prefix = 64
network.ipv6_internet_port.type = 
network.ipv6_internet_port.ip = 
network.ipv6_internet_port.gateway = 
network.ipv6_primary_dns = 
network.ipv6_secondary_dns = 
network.ipv6_icmp_v6.enable = 

#Configure the WAN port type; 0-DHCP (default), 1-PPPoE, 2-Static IP Address;
#Require reboot;
network.internet_port.type = 

#Configure the static IP address, subnet mask, gateway and DNS server;
#Require Reboot;
network.internet_port.ip =
network.internet_port.mask = 
network.internet_port.gateway =
network.primary_dns= 
network.secondary_dns = 

#######################################################################################
##                           Account3 Basic Settings                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.enable = 
account.3.enable = 
account.3.label = 
account.3.display_name =
account.3.auth_name = 
account.3.password = 
account.3.user_name = 
account.3.sip_server_host = 
account.3.sip_server_port = 5060
account.3.outbound_proxy_enable = 
account.3.outbound_host = 
account.3.outbound_port = 5060
account.3.sip_listen_port = 5060
#Configure the transport type; 0-UDP (default), 1-TCP, 2-TLS, 3-DNS SRV;
account.3.transport =1

#######################################################################################
##                          Failback                                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.reregister_enable = 0

account.3.reregister_enable = 0
account.3.retry_counts = 
account.3.failback_mode = 0 
account.3.failback_timeout = 3600
account.3.naptr_build = 0
account.3.fallback.redundancy_type = 0
account.3.fallback.timeout = 120
account.3.sip_server.1.address = 
account.3.sip_server.1.port = 5060
account.3.sip_server.1.expires = 3600
account.3.sip_server.1.retry_counts = 3
account.3.sip_server.1.failback_mode = 0
account.3.sip_server.1.failback_timeout = 3600
account.3.sip_server.1.register_on_enable = 0
account.3.sip_server.2.address = 
account.3.sip_server.2.port = 5060
account.3.sip_server.2.expires = 3600
account.3.sip_server.2.retry_counts = 3
account.3.sip_server.2.failback_mode = 0
account.3.sip_server.2.failback_timeout = 3600
account.3.sip_server.2.register_on_enable = 0
account.3.dns_cache_type = 1

account.3.dns_cache_a.1.name =
account.3.dns_cache_a.1.ip =
account.3.dns_cache_a.1.ttl = 300

account.3.dns_cache_srv.0.name =
account.3.dns_cache_srv.0.port = 0
account.3.dns_cache_srv.0.priority = 0
account.3.dns_cache_srv.0.target =
account.3.dns_cache_srv.0.weight = 0
account.3.dns_cache_srv.0.ttl = 300
account.3.dns_cache_naptr.0.name =
account.3.dns_cache_naptr.0.flags =
account.3.dns_cache_naptr.0.order = 0
account.3.dns_cache_naptr.0.preference = 0
account.3.dns_cache_naptr.0.replace =
account.3.dns_cache_naptr.0.service =
account.3.dns_cache_naptr.0.ttl = 300

account.3.static_cache_pri = 0

#######################################################################################
##                           Register Advanced                                       ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.sip_server_type = 

#Configure the SIP server type; 0-Default (default), 2-BroadSoft, 4-Cosmocom;
account.3.sip_server_type = 
#Enable or disable the phone to send the account log-off message first and then send account register message when rebooting the phone; 0-Disabled (default), 1-Enabled;
account.3.unregister_on_reboot = 

#Enable or disable the phone to only accept the message from the server; 0-Disabled (default), 1-Enabled;
account.3.sip_trust_ctrl = 

#Configure the timeout (in seconds) for DNS query, the value ranges from 1 to 9, the default value is 8.
account.3.dns_query_timeout= 

#Enable or disable the timer to periodically refresh the DNS-SRV query result; 0-Disabled (default), 1-Enabled;
account.3.srv_ttl_timer_enable = 
account.3.proxy_require =


#Enable or disable the phone to send the MAC address and line number in the Register message; 0-Disabled (default), 1-Enabled;    
account.3.register_mac = 
account.3.register_line = 

#Configure the interval (in seconds) the phone retries to register when account1 fails to register. It ranges from 0 to 1800, the default value is 30.
account.3.reg_fail_retry_interval = 

#########################################################################
##                     NAT Settings                                    ##
#########################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.nat.nat_traversal = 0

#Enable or disable the NAT traversal; 0-Disabled (default), 1-STUN;
account.3.nat.nat_traversal = 0

account.3.nat.stun_server = 
account.3.nat.stun_port = 3478

#Enable or disable the NAT keep-alive; 0-Disabled, 1-Default (default)£¬2-Option£¬3-Notify;
account.3.nat.udp_update_enable = 1

#Specify the keep-alive interval (in seconds), the default value is 30.
account.3.nat.udp_update_time = 30

#Enable or disable the NAT Rport; 0-Disabled (default), 1-Enabled;
account.3.nat.rport = 0


#######################################################################################
##                            Account3 Advance Settings                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.advanced.timer_t1 = 0.5
##voice_mail.number.X = 

#Configure the session timer (in seconds), the default value of T1, T2, T3 is 0.5, 4, 5.
account.3.advanced.timer_t1 = 0.5
account.3.advanced.timer_t2 = 4
account.3.advanced.timer_t4 = 5


voice_mail.number.3 = 


#######################################################################################
##                            Subscribe                                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.subscribe_mwi = 

account.3.subscribe_mwi = 0
account.3.subscribe_mwi_expires = 3600

#Enable or disable the phone to subscribe to the voicemail through the message waiting indicator; 0-Disabled (default), 1-Enabled;
account.3.subscribe_mwi_to_vm = 0

account.3.subscribe_acd_expires= 3600


#######################################################################################
##                            BLF List                                               ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.blf.blf_list_uri = 

#Configure the BLF list URI (a SIP URI, or use part of the SIP URI). For example, "2300_blflist@domain.com" or "2300_blflist".
account.3.blf.blf_list_uri = 

account.3.blf_list_code = 
account.3.blf_list_barge_in_code = 
account.3.blf.subscribe_period = 1800

account.3.blf.subscribe_event =
account.3.out_dialog_blf_enable = 0


#######################################################################################
##                            BLA/SCA                                                ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.shared_line =

#Assign account1 as shared line; 0-Disabled (default), 1-Broadsoft SCA, 2-BLA;
account.3.shared_line = 

#Configure BLA number for account1 and the subscribe period (in seconds). It ranges from 60 to 7200, the default value is 300.
account.3.bla_number = 
account.3.bla_subscribe_period = 300

#######################################################################################
##                            Audio Codec                                            ##                                                                          
#######################################################################################
#Audio codecs for account1 (Y ranges from 1 to 11).
#Enable or disable the specified codec; 0-Disabled, 1-Enabled;
#account.3.codec.Y.enable = 
#The type of the specified codec.
#account.3.codec.Y.payload_type = 
#The priority of the specified codec. It's available when the codec is enabled.
#account.3.codec.Y.priority = 
#The payload of the specified codec.
#account.3.codec.Y.rtpmap = 

account.3.codec.1.enable = 1
account.3.codec.1.payload_type = PCMU
account.3.codec.1.priority = 1
account.3.codec.1.rtpmap = 0

account.3.codec.2.enable = 1
account.3.codec.2.payload_type = PCMA
account.3.codec.2.priority = 2 
account.3.codec.2.rtpmap = 8

account.3.codec.3.enable = 0 
account.3.codec.3.payload_type = G723_53
account.3.codec.3.priority =0
account.3.codec.3.rtpmap = 4

account.3.codec.4.enable = 0
account.3.codec.4.payload_type = G723_63
account.3.codec.4.priority = 0
account.3.codec.4.rtpmap = 4

account.3.codec.5.enable = 1
account.3.codec.5.payload_type = G729
account.3.codec.5.priority = 3
account.3.codec.5.rtpmap = 18

account.3.codec.6.enable = 1
account.3.codec.6.payload_type = G722
account.3.codec.6.priority = 4
account.3.codec.6.rtpmap = 9

account.3.codec.7.enable = 0
account.3.codec.7.payload_type = iLBC
account.3.codec.7.priority =  0
account.3.codec.7.rtpmap = 106

account.3.codec.8.enable = 0
account.3.codec.8.payload_type = G726-16
account.3.codec.8.priority = 0
account.3.codec.8.rtpmap = 103

account.3.codec.9.enable = 0
account.3.codec.9.payload_type = G726-24
account.3.codec.9.priority = 0
account.3.codec.9.rtpmap = 104

account.3.codec.10.enable = 0
account.3.codec.10.payload_type = G726-32 
account.3.codec.10.priority = 0 
account.3.codec.10.rtpmap = 102

account.3.codec.11.enable = 0
account.3.codec.11.payload_type = G726-40
account.3.codec.11.priority = 0
account.3.codec.11.rtpmap = 105

account.3.codec.12.enable = 0
account.3.codec.12.payload_type = GSM
account.3.codec.12.priority = 0
account.3.codec.12.rtpmap = 3


#######################################################################################
##                            Audio Advanced                                         ##                                                                          
#######################################################################################
#Specify whether to encrypt the SIP messages; 0-Disabled (default), 1-Forced, 2-Negotiated;
account.3.srtp_encryption = 

#Configure the RTP packet time. The valid values are 0 (Disabled), 10, 20 (default), 30, 40, 50, 60.
account.3.ptime = 


#######################################################################################
##                            Anonymous Call                                         ##                                                                          
#######################################################################################
account.3.anonymous_call = 0
account.3.anonymous_call_oncode = 
account.3.anonymous_call_offcode = 

account.3.reject_anonymous_call = 
account.3.anonymous_reject_oncode = 
account.3.anonymous_reject_offcode = 

#######################################################################################
##                            Pickup Code                                            ##                                                                          
#######################################################################################
account.3.dialoginfo_callpickup = 0

#Configure the directed and group pickup codes for account 1, the settings on a per-account basis take precedence over the settings on the phone.
account.3.group_pickup_code = 
account.3.direct_pickup_code = 

#######################################################################################
##                            DTMF                                                   ##                                                                          
#######################################################################################
#Configure the DTMF type; 0-INBAND, 1-RFC2833 (default), 2-SIP INFO, 3-AUTO+SIP INFO;
account.3.dtmf.type = 

#Configure the DTMF info type when using the SIP INFO; 0-Disabled (default), 1-DTMF-Relay, 2-DTMF, 3-Telephone-Event;
account.3.dtmf.info_type = 

#Configure the RFC2833 payload. It ranges from 96 to 255, the default value is 101.
account.3.dtmf.dtmf_payload = 

#######################################################################################
##                            Alert info                                             ##                                                                          
#######################################################################################
#Enable or disable to use the Distinctive Ring Tones;  0-Disabled , 1-Enabled(default);
account.3.alert_info_url_enable = 

#Assign a ringtone for account2. The system ring tones are: common (default), Ring1.wav, Ring2.wav,¡­¡­Ring8.wav.
#If you set the custom ring tone (Busy.wav) for the phone, the value is: account.2.ringtone.ring_type = Config:Busy.wav
#If you set the system ring tone (Ring2.wav) for the phone, the value is: account.2.ringtone.ring_type = Resource:Ring2.wav
account.3.ringtone.ring_type =  

account.3.picture_info_enable = 1

#######################################################################################
##                            Conference                                             ##                                                                          
#######################################################################################
#Configure the conference type; 0-Local (default), 2-Network Conference;
account.3.conf_type = 

#Configure the conference URI (a SIP URI, or use part of the SIP URI). For example, "conference@domain.com" or "conference". 
account.3.conf_uri = 

#######################################################################################
##                            cid source                                             ##                                                                          
#######################################################################################
#Configure the type of SIP header(s) to carry the caller ID; 0-FROM (default), 1-PAI 2-PAI-FROM, 3-PRID-PAI-FROM, 4-PAI-RPID-FROM, 5-RPID-FROM;
account.3.cid_source = 

account.3.cid_source_privacy = 1
account.3.cid_source_ppi = 1
account.3.cp_source = 0

#######################################################################################
##                            Session Timer                                          ##                                                                          
#######################################################################################
#Enable or disable the session timer, 0-Disabled (default), 1-Enabled;  
account.3.session_timer.enable = 

#Configure the refresh session timer interval (in seconds). It ranges from 1 to 9999.
account.3.session_timer.expires = 

#Configure the session timer refresher; 0-Uac (default), 1-Uas; 
account.3.session_timer.refresher = 

#######################################################################################
##                            Music on Hold                                          ##                                                                          
#######################################################################################
#Configure the type of Music on Hold; 0-Send the INVITE request to Music on Hold Server then hold the call; 1-Hold the call then send the INVITE request to Music on Hold Server;
#Require reboot;
account.3.music_on_hold_type = 

account.3.music_server_uri = 

#######################################################################################
##                            Advanced                                               ##                                                                          
#######################################################################################
#Enable or disable the auto answer feature; 0-Disabled (default), 1-Enabled;
account.3.auto_answer = 

#Enable or disable the phone to record the missed call; 0-Disabled, 1-Enabled (default);
account.3.missed_calllog = 

#Enable or disable the 100 reliable retransmission; 0-Disabled (default), 1-Enabled;
account.3.100rel_enable = 

#Enable or disable the "user=phone"; 0-Disabled (default), 1-Enabled;
account.3.enable_user_equal_phone = 

#Enbale or diable the simplified header field feature; 0-Disabled, 1-Enabled (default);
account.3.compact_header_enable = 

#######################################################################################
##                                   DND                                             ##                                       
#######################################################################################
account.3.dnd.enable = 
account.3.dnd.on_code = 
account.3.dnd.off_code =

#######################################################################################
##                                 Call Forward                                      ##                                       
#######################################################################################
#Enable or disable the busy forward feature for account; 0-Disabled (default), 1-Enabled;
account.3.always_fwd.enable = 
account.3.always_fwd.target = 
account.3.always_fwd.off_code =
account.3.always_fwd.on_code =

account.3.busy_fwd.enable =          
account.3.busy_fwd.target =         
account.3.busy_fwd.off_code =
account.3.busy_fwd.on_code =

#Enable or disable the no answer forward feature for account1; 0-Disabled (default), 1-Enabled; 
#Configure the waiting ring times before forwarding. It ranges from 0 to 20, the default value is 2.
account.3.timeout_fwd.enable = 
account.3.timeout_fwd.target =
account.3.timeout_fwd.timeout =  
account.3.timeout_fwd.off_code =
account.3.timeout_fwd.on_code = 

#######################################################################################
##                                 Broadsoft Hoteling                                ##                                       
#######################################################################################
account.3.hoteling.enable = 0
account.3.hoteling.user_id = 0
account.3.hoteling.password = 0
account.3.hoteling.auto_login_enable = 0

#######################################################################################
##                                 Broadsoft ACD                                     ##                                       
#######################################################################################
account.3.acd.enable = 0
account.3.acd.unavailable_reason_enable = 0
account.3.acd.available = 0
account.3.acd.initial_state = 1

#######################################################################################
##                                 Broadsoft ACD Call Center                         ##                                       
#######################################################################################
#Configure the ACD reason code of Broadsoft.(The valus of Y must be consecutive numbers.)
#account.3.bw_acd_reason_code.Y = 500(lunch time)
account.3.bw_acd_reason_code.1 = 

account.3.reason_code.1 =
account.3.reason_code_name.1 = 0
account.3.bw_disp_code.1 =
account.3.bw_disp_code_name.1 =
account.3.supervisor_info_code.1 =
account.3.supervisor_info_code_name.1 =

#######################################################################################
##                                 Broadsoft Call Center                             ##                                       
#######################################################################################
account.3.call_center.call_info_enable = 0
account.3.call_center.show_call_info_time = 30
account.3.call_center.disp_code_enable = 0
account.3.call_center.trace_enable = 0
account.3.call_center.emergency_enable = 0
account.3.call_center.queue_status_enable = 0
account.3.call_center.queue_status_light_enable = 0

#######################################################################################
##                                 Broadsoft XSI                                     ##                                       
#######################################################################################
account.3.xsi.user =
account.3.xsi.password =
account.3.xsi.host =
account.3.xsi.server_type =
account.3.xsi.port =


#######################################################################################
##                                 Time                                              ##                                       
#######################################################################################
#Configure the time zone and time zone name. The time zone ranges from -11 to +12, the default value is +8.
#local_time.time_zone = +8
#local_time.time_zone_name = China(Beijing) 
local_time.time_zone = 
local_time.time_zone_name = 


#######################################################################################
##                                   NETWORK                                         ##                                       
#######################################################################################
##0-ipv4£¬1-ipv6,2-ipv4&ipv6
network.ip_address_mode = 2

network.ipv6_prefix = 64
network.ipv6_internet_port.type = 
network.ipv6_internet_port.ip = 
network.ipv6_internet_port.gateway = 
network.ipv6_primary_dns = 
network.ipv6_secondary_dns = 
network.ipv6_icmp_v6.enable = 

#Configure the WAN port type; 0-DHCP (default), 1-PPPoE, 2-Static IP Address;
#Require reboot;
network.internet_port.type = 

#Configure the static IP address, subnet mask, gateway and DNS server;
#Require Reboot;
network.internet_port.ip =
network.internet_port.mask = 
network.internet_port.gateway =
network.primary_dns= 
network.secondary_dns = 


#######################################################################################
##                           Account4 Basic Settings                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.enable = 
account.4.enable = 
account.4.label = 
account.4.display_name =
account.4.auth_name = 
account.4.password = 
account.4.user_name = 
account.4.sip_server_host = 
account.4.sip_server_port = 5060
account.4.outbound_proxy_enable = 
account.4.outbound_host = 
account.4.outbound_port = 5060
account.4.sip_listen_port = 5060
#Configure the transport type; 0-UDP (default), 1-TCP, 2-TLS, 3-DNS SRV;
account.4.transport = 

#######################################################################################
##                          Failback                                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.reregister_enable = 0

account.4.reregister_enable = 0
account.4.retry_counts = 
account.4.failback_mode = 0 
account.4.failback_timeout = 3600
account.4.naptr_build = 0
account.4.fallback.redundancy_type = 0
account.4.fallback.timeout = 120
account.4.sip_server.1.address = 
account.4.sip_server.1.port = 5060
account.4.sip_server.1.expires = 3600
account.4.sip_server.1.retry_counts = 3
account.4.sip_server.1.failback_mode = 0
account.4.sip_server.1.failback_timeout = 3600
account.4.sip_server.1.register_on_enable = 0
account.4.sip_server.2.address = 
account.4.sip_server.2.port = 5060
account.4.sip_server.2.expires = 3600
account.4.sip_server.2.retry_counts = 3
account.4.sip_server.2.failback_mode = 0
account.4.sip_server.2.failback_timeout = 3600
account.4.sip_server.2.register_on_enable = 0
account.4.dns_cache_type = 1

account.4.dns_cache_a.1.name =
account.4.dns_cache_a.1.ip =
account.4.dns_cache_a.1.ttl = 300

account.4.dns_cache_srv.1.name =
account.4.dns_cache_srv.1.port = 0
account.4.dns_cache_srv.1.priority = 0
account.4.dns_cache_srv.1.target =
account.4.dns_cache_srv.1.weight = 0
account.4.dns_cache_srv.1.ttl = 300
account.4.dns_cache_naptr.1.name =
account.4.dns_cache_naptr.1.flags =
account.4.dns_cache_naptr.1.order = 0
account.4.dns_cache_naptr.1.preference = 0
account.4.dns_cache_naptr.1.replace =
account.4.dns_cache_naptr.1.service =
account.4.dns_cache_naptr.1.ttl = 300

account.4.static_cache_pri = 0

#######################################################################################
##                           Register Advanced                                       ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.sip_server_type = 

#Configure the SIP server type; 0-Default (default), 2-BroadSoft, 4-Cosmocom;
account.4.sip_server_type = 
#Enable or disable the phone to send the account log-off message first and then send account register message when rebooting the phone; 0-Disabled (default), 1-Enabled;
account.4.unregister_on_reboot = 

#Enable or disable the phone to only accept the message from the server; 0-Disabled (default), 1-Enabled;
account.4.sip_trust_ctrl = 

#Configure the timeout (in seconds) for DNS query, the value ranges from 1 to 9, the default value is 8.
account.4.dns_query_timeout= 

#Enable or disable the timer to periodically refresh the DNS-SRV query result; 0-Disabled (default), 1-Enabled;
account.4.srv_ttl_timer_enable = 
account.4.proxy_require =


#Enable or disable the phone to send the MAC address and line number in the Register message; 0-Disabled (default), 1-Enabled;    
account.4.register_mac = 
account.4.register_line = 

#Configure the interval (in seconds) the phone retries to register when account1 fails to register. It ranges from 0 to 1800, the default value is 30.
account.4.reg_fail_retry_interval = 

#########################################################################
##                     NAT Settings                                    ##
#########################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.nat.nat_traversal = 0

#Enable or disable the NAT traversal; 0-Disabled (default), 1-STUN;
account.4.nat.nat_traversal = 0

account.4.nat.stun_server = 
account.4.nat.stun_port = 3478

#Enable or disable the NAT keep-alive; 0-Disabled, 1-Default (default)£¬2-Option£¬3-Notify;
account.4.nat.udp_update_enable = 1

#Specify the keep-alive interval (in seconds), the default value is 30.
account.4.nat.udp_update_time = 30

#Enable or disable the NAT Rport; 0-Disabled (default), 1-Enabled;
account.4.nat.rport = 0


#######################################################################################
##                            Account4 Advance Settings                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.advanced.timer_t1 = 0.5
##voice_mail.number.X = 

#Configure the session timer (in seconds), the default value of T1, T2, T3 is 0.5, 4, 5.
account.4.advanced.timer_t1 = 0.5
account.4.advanced.timer_t2 = 4
account.4.advanced.timer_t4 = 5


voice_mail.number.4 = 


#######################################################################################
##                            Subscribe                                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.subscribe_mwi = 

account.4.subscribe_mwi = 0
account.4.subscribe_mwi_expires = 3600

#Enable or disable the phone to subscribe to the voicemail through the message waiting indicator; 0-Disabled (default), 1-Enabled;
account.4.subscribe_mwi_to_vm = 0

account.4.subscribe_acd_expires= 3600


#######################################################################################
##                            BLF List                                               ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.blf.blf_list_uri = 

#Configure the BLF list URI (a SIP URI, or use part of the SIP URI). For example, "2300_blflist@domain.com" or "2300_blflist".
account.4.blf.blf_list_uri = 

account.4.blf_list_code = 
account.4.blf_list_barge_in_code = 
account.4.blf.subscribe_period = 1800

account.4.blf.subscribe_event =
account.4.out_dialog_blf_enable = 0


#######################################################################################
##                            BLA/SCA                                                ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.shared_line =

#Assign account1 as shared line; 0-Disabled (default), 1-Broadsoft SCA, 2-BLA;
account.4.shared_line = 

#Configure BLA number for account1 and the subscribe period (in seconds). It ranges from 60 to 7200, the default value is 300.
account.4.bla_number = 
account.4.bla_subscribe_period = 300

#######################################################################################
##                            Audio Codec                                            ##                                                                          
#######################################################################################
#Audio codecs for account1 (Y ranges from 1 to 11).
#Enable or disable the specified codec; 0-Disabled, 1-Enabled;
#account.4.codec.Y.enable = 
#The type of the specified codec.
#account.4.codec.Y.payload_type = 
#The priority of the specified codec. It's available when the codec is enabled.
#account.4.codec.Y.priority = 
#The payload of the specified codec.
#account.4.codec.Y.rtpmap = 

account.4.codec.1.enable = 1
account.4.codec.1.payload_type = PCMU
account.4.codec.1.priority = 1
account.4.codec.1.rtpmap = 0

account.4.codec.2.enable = 1
account.4.codec.2.payload_type = PCMA
account.4.codec.2.priority = 2 
account.4.codec.2.rtpmap = 8

account.4.codec.3.enable = 0 
account.4.codec.3.payload_type = G723_53
account.4.codec.3.priority =0
account.4.codec.3.rtpmap = 4

account.4.codec.4.enable = 0
account.4.codec.4.payload_type = G723_63
account.4.codec.4.priority = 0
account.4.codec.4.rtpmap = 4

account.4.codec.5.enable = 1
account.4.codec.5.payload_type = G729
account.4.codec.5.priority = 3
account.4.codec.5.rtpmap = 18

account.4.codec.6.enable = 1
account.4.codec.6.payload_type = G722
account.4.codec.6.priority = 4
account.4.codec.6.rtpmap = 9

account.4.codec.7.enable = 0
account.4.codec.7.payload_type = iLBC
account.4.codec.7.priority =  0
account.4.codec.7.rtpmap = 106

account.4.codec.8.enable = 0
account.4.codec.8.payload_type = G726-16
account.4.codec.8.priority = 0
account.4.codec.8.rtpmap = 103

account.4.codec.9.enable = 0
account.4.codec.9.payload_type = G726-24
account.4.codec.9.priority = 0
account.4.codec.9.rtpmap = 104

account.4.codec.10.enable = 0
account.4.codec.10.payload_type = G726-32 
account.4.codec.10.priority = 0 
account.4.codec.10.rtpmap = 102

account.4.codec.11.enable = 0
account.4.codec.11.payload_type = G726-40
account.4.codec.11.priority = 0
account.4.codec.11.rtpmap = 105

account.4.codec.12.enable = 0
account.4.codec.12.payload_type = GSM
account.4.codec.12.priority = 0
account.4.codec.12.rtpmap = 3


#######################################################################################
##                            Audio Advanced                                         ##                                                                          
#######################################################################################
#Specify whether to encrypt the SIP messages; 0-Disabled (default), 1-Forced, 2-Negotiated;
account.4.srtp_encryption = 

#Configure the RTP packet time. The valid values are 0 (Disabled), 10, 20 (default), 30, 40, 50, 60.
account.4.ptime = 


#######################################################################################
##                            Anonymous Call                                         ##                                                                          
#######################################################################################
account.4.anonymous_call = 0
account.4.anonymous_call_oncode = 
account.4.anonymous_call_offcode = 

account.4.reject_anonymous_call = 
account.4.anonymous_reject_oncode = 
account.4.anonymous_reject_offcode = 

#######################################################################################
##                            Pickup Code                                            ##                                                                          
#######################################################################################
account.4.dialoginfo_callpickup = 0

#Configure the directed and group pickup codes for account 1, the settings on a per-account basis take precedence over the settings on the phone.
account.4.group_pickup_code = 
account.4.direct_pickup_code = 

#######################################################################################
##                            DTMF                                                   ##                                                                          
#######################################################################################
#Configure the DTMF type; 0-INBAND, 1-RFC2833 (default), 2-SIP INFO, 3-AUTO+SIP INFO;
account.4.dtmf.type = 

#Configure the DTMF info type when using the SIP INFO; 0-Disabled (default), 1-DTMF-Relay, 2-DTMF, 3-Telephone-Event;
account.4.dtmf.info_type = 

#Configure the RFC2833 payload. It ranges from 96 to 255, the default value is 101.
account.4.dtmf.dtmf_payload = 

#######################################################################################
##                            Alert info                                             ##                                                                          
#######################################################################################
#Enable or disable to use the Distinctive Ring Tones;  0-Disabled , 1-Enabled(default);
account.4.alert_info_url_enable = 

#Assign a ringtone for account2. The system ring tones are: common (default), Ring1.wav, Ring2.wav,¡­¡­Ring8.wav.
#If you set the custom ring tone (Busy.wav) for the phone, the value is: account.2.ringtone.ring_type = Config:Busy.wav
#If you set the system ring tone (Ring2.wav) for the phone, the value is: account.2.ringtone.ring_type = Resource:Ring2.wav
account.4.ringtone.ring_type =  

account.4.picture_info_enable = 1

#######################################################################################
##                            Conference                                             ##                                                                          
#######################################################################################
#Configure the conference type; 0-Local (default), 2-Network Conference;
account.4.conf_type = 

#Configure the conference URI (a SIP URI, or use part of the SIP URI). For example, "conference@domain.com" or "conference". 
account.4.conf_uri = 

#######################################################################################
##                            cid source                                             ##                                                                          
#######################################################################################
#Configure the type of SIP header(s) to carry the caller ID; 0-FROM (default), 1-PAI 2-PAI-FROM, 3-PRID-PAI-FROM, 4-PAI-RPID-FROM, 5-RPID-FROM;
account.4.cid_source = 

account.4.cid_source_privacy = 1
account.4.cid_source_ppi = 1
account.4.cp_source = 0

#######################################################################################
##                            Session Timer                                          ##                                                                          
#######################################################################################
#Enable or disable the session timer, 0-Disabled (default), 1-Enabled;  
account.4.session_timer.enable = 

#Configure the refresh session timer interval (in seconds). It ranges from 1 to 9999.
account.4.session_timer.expires = 

#Configure the session timer refresher; 0-Uac (default), 1-Uas; 
account.4.session_timer.refresher = 

#######################################################################################
##                            Music on Hold                                          ##                                                                          
#######################################################################################
#Configure the type of Music on Hold; 0-Send the INVITE request to Music on Hold Server then hold the call; 1-Hold the call then send the INVITE request to Music on Hold Server;
#Require reboot;
account.4.music_on_hold_type = 

account.4.music_server_uri = 

#######################################################################################
##                            Advanced                                               ##                                                                          
#######################################################################################
#Enable or disable the auto answer feature; 0-Disabled (default), 1-Enabled;
account.4.auto_answer = 

#Enable or disable the phone to record the missed call; 0-Disabled, 1-Enabled (default);
account.4.missed_calllog = 

#Enable or disable the 100 reliable retransmission; 0-Disabled (default), 1-Enabled;
account.4.100rel_enable = 

#Enable or disable the "user=phone"; 0-Disabled (default), 1-Enabled;
account.4.enable_user_equal_phone = 

#Enbale or diable the simplified header field feature; 0-Disabled, 1-Enabled (default);
account.4.compact_header_enable = 

#######################################################################################
##                                   DND                                             ##                                       
#######################################################################################
account.4.dnd.enable = 
account.4.dnd.on_code = 
account.4.dnd.off_code =

#######################################################################################
##                                 Call Forward                                      ##                                       
#######################################################################################
#Enable or disable the busy forward feature for account; 0-Disabled (default), 1-Enabled;
account.4.always_fwd.enable = 
account.4.always_fwd.target = 
account.4.always_fwd.off_code =
account.4.always_fwd.on_code =

account.4.busy_fwd.enable =          
account.4.busy_fwd.target =         
account.4.busy_fwd.off_code =
account.4.busy_fwd.on_code =

#Enable or disable the no answer forward feature for account1; 0-Disabled (default), 1-Enabled; 
#Configure the waiting ring times before forwarding. It ranges from 0 to 20, the default value is 2.
account.4.timeout_fwd.enable = 
account.4.timeout_fwd.target =
account.4.timeout_fwd.timeout =  
account.4.timeout_fwd.off_code =
account.4.timeout_fwd.on_code = 

#######################################################################################
##                                 Broadsoft Hoteling                                ##                                       
#######################################################################################
account.4.hoteling.enable = 0
account.4.hoteling.user_id = 0
account.4.hoteling.password = 0
account.4.hoteling.auto_login_enable = 0

#######################################################################################
##                                 Broadsoft ACD                                     ##                                       
#######################################################################################
account.4.acd.enable = 0
account.4.acd.unavailable_reason_enable = 0
account.4.acd.available = 0
account.4.acd.initial_state = 1

#######################################################################################
##                                 Broadsoft ACD Call Center                         ##                                       
#######################################################################################
#Configure the ACD reason code of Broadsoft.(The valus of Y must be consecutive numbers.)
#account.4.bw_acd_reason_code.Y = 500(lunch time)
account.4.bw_acd_reason_code.1 = 

account.4.reason_code.1 =
account.4.reason_code_name.1 = 0
account.4.bw_disp_code.1 =
account.4.bw_disp_code_name.1 =
account.4.supervisor_info_code.1 =
account.4.supervisor_info_code_name.1 =

#######################################################################################
##                                 Broadsoft Call Center                             ##                                       
#######################################################################################
account.4.call_center.call_info_enable = 0
account.4.call_center.show_call_info_time = 30
account.4.call_center.disp_code_enable = 0
account.4.call_center.trace_enable = 0
account.4.call_center.emergency_enable = 0
account.4.call_center.queue_status_enable = 0
account.4.call_center.queue_status_light_enable = 0

#######################################################################################
##                                 Broadsoft XSI                                     ##                                       
#######################################################################################
account.4.xsi.user =
account.4.xsi.password =
account.4.xsi.host =
account.4.xsi.server_type =
account.4.xsi.port =


#######################################################################################
##                                 Time                                              ##                                       
#######################################################################################
#Configure the time zone and time zone name. The time zone ranges from -11 to +12, the default value is +8.
#local_time.time_zone = +8
#local_time.time_zone_name = China(Beijing) 
local_time.time_zone = 
local_time.time_zone_name = 


#######################################################################################
##                                   NETWORK                                         ##                                       
#######################################################################################
##0-ipv4£¬1-ipv6,2-ipv4&ipv6
network.ip_address_mode = 2

network.ipv6_prefix = 64
network.ipv6_internet_port.type = 
network.ipv6_internet_port.ip = 
network.ipv6_internet_port.gateway = 
network.ipv6_primary_dns = 
network.ipv6_secondary_dns = 
network.ipv6_icmp_v6.enable = 

#Configure the WAN port type; 0-DHCP (default), 1-PPPoE, 2-Static IP Address;
#Require reboot;
network.internet_port.type = 

#Configure the static IP address, subnet mask, gateway and DNS server;
#Require Reboot;
network.internet_port.ip =
network.internet_port.mask = 
network.internet_port.gateway =
network.primary_dns= 
network.secondary_dns = 

#######################################################################################
##                           Account5 Basic Settings                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.enable = 
account.5.enable = 
account.5.label = 
account.5.display_name =
account.5.auth_name = 
account.5.password = 
account.5.user_name = 
account.5.sip_server_host = 
account.5.sip_server_port = 5060
account.5.outbound_proxy_enable = 
account.5.outbound_host = 
account.5.outbound_port = 5060
account.5.sip_listen_port = 5060
#Configure the transport type; 0-UDP (default), 1-TCP, 2-TLS, 3-DNS SRV;
account.5.transport = 

#######################################################################################
##                          Failback                                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.reregister_enable = 0

account.5.reregister_enable = 0
account.5.retry_counts = 
account.5.failback_mode = 0 
account.5.failback_timeout = 3600
account.5.naptr_build = 0
account.5.fallback.redundancy_type = 0
account.5.fallback.timeout = 120
account.5.sip_server.1.address = 
account.5.sip_server.1.port = 5060
account.5.sip_server.1.expires = 3600
account.5.sip_server.1.retry_counts = 3
account.5.sip_server.1.failback_mode = 0
account.5.sip_server.1.failback_timeout = 3600
account.5.sip_server.1.register_on_enable = 0
account.5.sip_server.2.address = 
account.5.sip_server.2.port = 5060
account.5.sip_server.2.expires = 3600
account.5.sip_server.2.retry_counts = 3
account.5.sip_server.2.failback_mode = 0
account.5.sip_server.2.failback_timeout = 3600
account.5.sip_server.2.register_on_enable = 0
account.5.dns_cache_type = 1

account.5.dns_cache_a.1.name =
account.5.dns_cache_a.1.ip =
account.5.dns_cache_a.1.ttl = 300

account.5.dns_cache_srv.1.name =
account.5.dns_cache_srv.1.port = 0
account.5.dns_cache_srv.1.priority = 0
account.5.dns_cache_srv.1.target =
account.5.dns_cache_srv.1.weight = 0
account.5.dns_cache_srv.1.ttl = 300
account.5.dns_cache_naptr.1.name =
account.5.dns_cache_naptr.1.flags =
account.5.dns_cache_naptr.1.order = 0
account.5.dns_cache_naptr.1.preference = 0
account.5.dns_cache_naptr.1.replace =
account.5.dns_cache_naptr.1.service =
account.5.dns_cache_naptr.1.ttl = 300

account.5.static_cache_pri = 0

#######################################################################################
##                           Register Advanced                                       ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.sip_server_type = 

#Configure the SIP server type; 0-Default (default), 2-BroadSoft, 4-Cosmocom;
account.5.sip_server_type = 
#Enable or disable the phone to send the account log-off message first and then send account register message when rebooting the phone; 0-Disabled (default), 1-Enabled;
account.5.unregister_on_reboot = 

#Enable or disable the phone to only accept the message from the server; 0-Disabled (default), 1-Enabled;
account.5.sip_trust_ctrl = 

#Configure the timeout (in seconds) for DNS query, the value ranges from 1 to 9, the default value is 8.
account.5.dns_query_timeout= 

#Enable or disable the timer to periodically refresh the DNS-SRV query result; 0-Disabled (default), 1-Enabled;
account.5.srv_ttl_timer_enable = 
account.5.proxy_require =


#Enable or disable the phone to send the MAC address and line number in the Register message; 0-Disabled (default), 1-Enabled;    
account.5.register_mac = 
account.5.register_line = 

#Configure the interval (in seconds) the phone retries to register when account1 fails to register. It ranges from 0 to 1800, the default value is 30.
account.5.reg_fail_retry_interval = 

#########################################################################
##                     NAT Settings                                    ##
#########################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.nat.nat_traversal = 0

#Enable or disable the NAT traversal; 0-Disabled (default), 1-STUN;
account.5.nat.nat_traversal = 0

account.5.nat.stun_server = 
account.5.nat.stun_port = 3478

#Enable or disable the NAT keep-alive; 0-Disabled, 1-Default (default)£¬2-Option£¬3-Notify;
account.5.nat.udp_update_enable = 1

#Specify the keep-alive interval (in seconds), the default value is 30.
account.5.nat.udp_update_time = 30

#Enable or disable the NAT Rport; 0-Disabled (default), 1-Enabled;
account.5.nat.rport = 0


#######################################################################################
##                            Account5 Advance Settings                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.advanced.timer_t1 = 0.5
##voice_mail.number.X = 

#Configure the session timer (in seconds), the default value of T1, T2, T3 is 0.5, 4, 5.
account.5.advanced.timer_t1 = 0.5
account.5.advanced.timer_t2 = 4
account.5.advanced.timer_t4 = 5


voice_mail.number.5 = 


#######################################################################################
##                            Subscribe                                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.subscribe_mwi = 

account.5.subscribe_mwi = 0
account.5.subscribe_mwi_expires = 3600

#Enable or disable the phone to subscribe to the voicemail through the message waiting indicator; 0-Disabled (default), 1-Enabled;
account.5.subscribe_mwi_to_vm = 0

account.5.subscribe_acd_expires= 3600


#######################################################################################
##                            BLF List                                               ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.blf.blf_list_uri = 

#Configure the BLF list URI (a SIP URI, or use part of the SIP URI). For example, "2300_blflist@domain.com" or "2300_blflist".
account.5.blf.blf_list_uri = 

account.5.blf_list_code = 
account.5.blf_list_barge_in_code = 
account.5.blf.subscribe_period = 1800

account.5.blf.subscribe_event =
account.5.out_dialog_blf_enable = 0


#######################################################################################
##                            BLA/SCA                                                ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.shared_line =

#Assign account1 as shared line; 0-Disabled (default), 1-Broadsoft SCA, 2-BLA;
account.5.shared_line = 

#Configure BLA number for account1 and the subscribe period (in seconds). It ranges from 60 to 7200, the default value is 300.
account.5.bla_number = 
account.5.bla_subscribe_period = 300

#######################################################################################
##                            Audio Codec                                            ##                                                                          
#######################################################################################
#Audio codecs for account1 (Y ranges from 1 to 11).
#Enable or disable the specified codec; 0-Disabled, 1-Enabled;
#account.5.codec.Y.enable = 
#The type of the specified codec.
#account.5.codec.Y.payload_type = 
#The priority of the specified codec. It's available when the codec is enabled.
#account.5.codec.Y.priority = 
#The payload of the specified codec.
#account.5.codec.Y.rtpmap = 

account.5.codec.1.enable = 1
account.5.codec.1.payload_type = PCMU
account.5.codec.1.priority = 1
account.5.codec.1.rtpmap = 0

account.5.codec.2.enable = 1
account.5.codec.2.payload_type = PCMA
account.5.codec.2.priority = 2 
account.5.codec.2.rtpmap = 8

account.5.codec.3.enable = 0 
account.5.codec.3.payload_type = G723_53
account.5.codec.3.priority =0
account.5.codec.3.rtpmap = 4

account.5.codec.4.enable = 0
account.5.codec.4.payload_type = G723_63
account.5.codec.4.priority = 0
account.5.codec.4.rtpmap = 4

account.5.codec.5.enable = 1
account.5.codec.5.payload_type = G729
account.5.codec.5.priority = 3
account.5.codec.5.rtpmap = 18

account.5.codec.6.enable = 1
account.5.codec.6.payload_type = G722
account.5.codec.6.priority = 4
account.5.codec.6.rtpmap = 9

account.5.codec.7.enable = 0
account.5.codec.7.payload_type = iLBC
account.5.codec.7.priority =  0
account.5.codec.7.rtpmap = 106

account.5.codec.8.enable = 0
account.5.codec.8.payload_type = G726-16
account.5.codec.8.priority = 0
account.5.codec.8.rtpmap = 103

account.5.codec.9.enable = 0
account.5.codec.9.payload_type = G726-24
account.5.codec.9.priority = 0
account.5.codec.9.rtpmap = 104

account.5.codec.10.enable = 0
account.5.codec.10.payload_type = G726-32 
account.5.codec.10.priority = 0 
account.5.codec.10.rtpmap = 102

account.5.codec.11.enable = 0
account.5.codec.11.payload_type = G726-40
account.5.codec.11.priority = 0
account.5.codec.11.rtpmap = 105

account.5.codec.12.enable = 0
account.5.codec.12.payload_type = GSM
account.5.codec.12.priority = 0
account.5.codec.12.rtpmap = 3


#######################################################################################
##                            Audio Advanced                                         ##                                                                          
#######################################################################################
#Specify whether to encrypt the SIP messages; 0-Disabled (default), 1-Forced, 2-Negotiated;
account.5.srtp_encryption = 

#Configure the RTP packet time. The valid values are 0 (Disabled), 10, 20 (default), 30, 40, 50, 60.
account.5.ptime = 


#######################################################################################
##                            Anonymous Call                                         ##                                                                          
#######################################################################################
account.5.anonymous_call = 0
account.5.anonymous_call_oncode = 
account.5.anonymous_call_offcode = 

account.5.reject_anonymous_call = 
account.5.anonymous_reject_oncode = 
account.5.anonymous_reject_offcode = 

#######################################################################################
##                            Pickup Code                                            ##                                                                          
#######################################################################################
account.5.dialoginfo_callpickup = 0

#Configure the directed and group pickup codes for account 1, the settings on a per-account basis take precedence over the settings on the phone.
account.5.group_pickup_code = 
account.5.direct_pickup_code = 

#######################################################################################
##                            DTMF                                                   ##                                                                          
#######################################################################################
#Configure the DTMF type; 0-INBAND, 1-RFC2833 (default), 2-SIP INFO, 3-AUTO+SIP INFO;
account.5.dtmf.type = 

#Configure the DTMF info type when using the SIP INFO; 0-Disabled (default), 1-DTMF-Relay, 2-DTMF, 3-Telephone-Event;
account.5.dtmf.info_type = 

#Configure the RFC2833 payload. It ranges from 96 to 255, the default value is 101.
account.5.dtmf.dtmf_payload = 

#######################################################################################
##                            Alert info                                             ##                                                                          
#######################################################################################
#Enable or disable to use the Distinctive Ring Tones;  0-Disabled , 1-Enabled(default);
account.5.alert_info_url_enable = 

#Assign a ringtone for account2. The system ring tones are: common (default), Ring1.wav, Ring2.wav,¡­¡­Ring8.wav.
#If you set the custom ring tone (Busy.wav) for the phone, the value is: account.2.ringtone.ring_type = Config:Busy.wav
#If you set the system ring tone (Ring2.wav) for the phone, the value is: account.2.ringtone.ring_type = Resource:Ring2.wav
account.5.ringtone.ring_type =  

account.5.picture_info_enable = 1

#######################################################################################
##                            Conference                                             ##                                                                          
#######################################################################################
#Configure the conference type; 0-Local (default), 2-Network Conference;
account.5.conf_type = 

#Configure the conference URI (a SIP URI, or use part of the SIP URI). For example, "conference@domain.com" or "conference". 
account.5.conf_uri = 

#######################################################################################
##                            cid source                                             ##                                                                          
#######################################################################################
#Configure the type of SIP header(s) to carry the caller ID; 0-FROM (default), 1-PAI 2-PAI-FROM, 3-PRID-PAI-FROM, 4-PAI-RPID-FROM, 5-RPID-FROM;
account.5.cid_source = 

account.5.cid_source_privacy = 1
account.5.cid_source_ppi = 1
account.5.cp_source = 0

#######################################################################################
##                            Session Timer                                          ##                                                                          
#######################################################################################
#Enable or disable the session timer, 0-Disabled (default), 1-Enabled;  
account.5.session_timer.enable = 

#Configure the refresh session timer interval (in seconds). It ranges from 1 to 9999.
account.5.session_timer.expires = 

#Configure the session timer refresher; 0-Uac (default), 1-Uas; 
account.5.session_timer.refresher = 

#######################################################################################
##                            Music on Hold                                          ##                                                                          
#######################################################################################
#Configure the type of Music on Hold; 0-Send the INVITE request to Music on Hold Server then hold the call; 1-Hold the call then send the INVITE request to Music on Hold Server;
#Require reboot;
account.5.music_on_hold_type = 

account.5.music_server_uri = 

#######################################################################################
##                            Advanced                                               ##                                                                          
#######################################################################################
#Enable or disable the auto answer feature; 0-Disabled (default), 1-Enabled;
account.5.auto_answer = 

#Enable or disable the phone to record the missed call; 0-Disabled, 1-Enabled (default);
account.5.missed_calllog = 

#Enable or disable the 100 reliable retransmission; 0-Disabled (default), 1-Enabled;
account.5.100rel_enable = 

#Enable or disable the "user=phone"; 0-Disabled (default), 1-Enabled;
account.5.enable_user_equal_phone = 

#Enbale or diable the simplified header field feature; 0-Disabled, 1-Enabled (default);
account.5.compact_header_enable = 

#######################################################################################
##                                   DND                                             ##                                       
#######################################################################################
account.5.dnd.enable = 
account.5.dnd.on_code = 
account.5.dnd.off_code =

#######################################################################################
##                                 Call Forward                                      ##                                       
#######################################################################################
#Enable or disable the busy forward feature for account; 0-Disabled (default), 1-Enabled;
account.5.always_fwd.enable = 
account.5.always_fwd.target = 
account.5.always_fwd.off_code =
account.5.always_fwd.on_code =

account.5.busy_fwd.enable =          
account.5.busy_fwd.target =         
account.5.busy_fwd.off_code =
account.5.busy_fwd.on_code =

#Enable or disable the no answer forward feature for account1; 0-Disabled (default), 1-Enabled; 
#Configure the waiting ring times before forwarding. It ranges from 0 to 20, the default value is 2.
account.5.timeout_fwd.enable = 
account.5.timeout_fwd.target =
account.5.timeout_fwd.timeout =  
account.5.timeout_fwd.off_code =
account.5.timeout_fwd.on_code = 

#######################################################################################
##                                 Broadsoft Hoteling                                ##                                       
#######################################################################################
account.5.hoteling.enable = 0
account.5.hoteling.user_id = 0
account.5.hoteling.password = 0
account.5.hoteling.auto_login_enable = 0

#######################################################################################
##                                 Broadsoft ACD                                     ##                                       
#######################################################################################
account.5.acd.enable = 0
account.5.acd.unavailable_reason_enable = 0
account.5.acd.available = 0
account.5.acd.initial_state = 1

#######################################################################################
##                                 Broadsoft ACD Call Center                         ##                                       
#######################################################################################
#Configure the ACD reason code of Broadsoft.(The valus of Y must be consecutive numbers.)
#account.5.bw_acd_reason_code.Y = 500(lunch time)
account.5.bw_acd_reason_code.1 = 

account.5.reason_code.1 =
account.5.reason_code_name.1 = 0
account.5.bw_disp_code.1 =
account.5.bw_disp_code_name.1 =
account.5.supervisor_info_code.1 =
account.5.supervisor_info_code_name.1 =

#######################################################################################
##                                 Broadsoft Call Center                             ##                                       
#######################################################################################
account.5.call_center.call_info_enable = 0
account.5.call_center.show_call_info_time = 30
account.5.call_center.disp_code_enable = 0
account.5.call_center.trace_enable = 0
account.5.call_center.emergency_enable = 0
account.5.call_center.queue_status_enable = 0
account.5.call_center.queue_status_light_enable = 0

#######################################################################################
##                                 Broadsoft XSI                                     ##                                       
#######################################################################################
account.5.xsi.user =
account.5.xsi.password =
account.5.xsi.host =
account.5.xsi.server_type =
account.5.xsi.port =


#######################################################################################
##                                 Time                                              ##                                       
#######################################################################################
#Configure the time zone and time zone name. The time zone ranges from -11 to +12, the default value is +8.
#local_time.time_zone = +8
#local_time.time_zone_name = China(Beijing) 
local_time.time_zone = 
local_time.time_zone_name = 


#######################################################################################
##                                   NETWORK                                         ##                                       
#######################################################################################
##0-ipv4£¬1-ipv6,2-ipv4&ipv6
network.ip_address_mode = 2

network.ipv6_prefix = 64
network.ipv6_internet_port.type = 
network.ipv6_internet_port.ip = 
network.ipv6_internet_port.gateway = 
network.ipv6_primary_dns = 
network.ipv6_secondary_dns = 
network.ipv6_icmp_v6.enable = 

#Configure the WAN port type; 0-DHCP (default), 1-PPPoE, 2-Static IP Address;
#Require reboot;
network.internet_port.type = 

#Configure the static IP address, subnet mask, gateway and DNS server;
#Require Reboot;
network.internet_port.ip =
network.internet_port.mask = 
network.internet_port.gateway =
network.primary_dns= 
network.secondary_dns = 

#######################################################################################
##                           Account6 Basic Settings                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.enable = 
account.6.enable = 
account.6.label = 
account.6.display_name =
account.6.auth_name = 
account.6.password = 
account.6.user_name = 
account.6.sip_server_host = 
account.6.sip_server_port = 5060
account.6.outbound_proxy_enable = 
account.6.outbound_host = 
account.6.outbound_port = 5060
account.6.sip_listen_port = 5060
#Configure the transport type; 0-UDP (default), 1-TCP, 2-TLS, 3-DNS SRV;
account.6.transport = 

#######################################################################################
##                          Failback                                                 ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.reregister_enable = 0

account.6.reregister_enable = 0
account.6.retry_counts = 
account.6.failback_mode = 0 
account.6.failback_timeout = 3600
account.6.naptr_build = 0
account.6.fallback.redundancy_type = 0
account.6.fallback.timeout = 120
account.6.sip_server.1.address = 
account.6.sip_server.1.port = 5060
account.6.sip_server.1.expires = 3600
account.6.sip_server.1.retry_counts = 3
account.6.sip_server.1.failback_mode = 0
account.6.sip_server.1.failback_timeout = 3600
account.6.sip_server.1.register_on_enable = 0
account.6.sip_server.2.address = 
account.6.sip_server.2.port = 5060
account.6.sip_server.2.expires = 3600
account.6.sip_server.2.retry_counts = 3
account.6.sip_server.2.failback_mode = 0
account.6.sip_server.2.failback_timeout = 3600
account.6.sip_server.2.register_on_enable = 0
account.6.dns_cache_type = 1

account.6.dns_cache_a.1.name =
account.6.dns_cache_a.1.ip =
account.6.dns_cache_a.1.ttl = 300

account.6.dns_cache_srv.1.name =
account.6.dns_cache_srv.1.port = 0
account.6.dns_cache_srv.1.priority = 0
account.6.dns_cache_srv.1.target =
account.6.dns_cache_srv.1.weight = 0
account.6.dns_cache_srv.1.ttl = 300
account.6.dns_cache_naptr.1.name =
account.6.dns_cache_naptr.1.flags =
account.6.dns_cache_naptr.1.order = 0
account.6.dns_cache_naptr.1.preference = 0
account.6.dns_cache_naptr.1.replace =
account.6.dns_cache_naptr.1.service =
account.6.dns_cache_naptr.1.ttl = 300

account.6.static_cache_pri = 0

#######################################################################################
##                           Register Advanced                                       ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.sip_server_type = 

#Configure the SIP server type; 0-Default (default), 2-BroadSoft, 4-Cosmocom;
account.6.sip_server_type = 
#Enable or disable the phone to send the account log-off message first and then send account register message when rebooting the phone; 0-Disabled (default), 1-Enabled;
account.6.unregister_on_reboot = 

#Enable or disable the phone to only accept the message from the server; 0-Disabled (default), 1-Enabled;
account.6.sip_trust_ctrl = 

#Configure the timeout (in seconds) for DNS query, the value ranges from 1 to 9, the default value is 8.
account.6.dns_query_timeout= 

#Enable or disable the timer to periodically refresh the DNS-SRV query result; 0-Disabled (default), 1-Enabled;
account.6.srv_ttl_timer_enable = 
account.6.proxy_require =


#Enable or disable the phone to send the MAC address and line number in the Register message; 0-Disabled (default), 1-Enabled;    
account.6.register_mac = 
account.6.register_line = 

#Configure the interval (in seconds) the phone retries to register when account1 fails to register. It ranges from 0 to 1800, the default value is 30.
account.6.reg_fail_retry_interval = 

#########################################################################
##                     NAT Settings                                    ##
#########################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.nat.nat_traversal = 0

#Enable or disable the NAT traversal; 0-Disabled (default), 1-STUN;
account.6.nat.nat_traversal = 0

account.6.nat.stun_server = 
account.6.nat.stun_port = 3478

#Enable or disable the NAT keep-alive; 0-Disabled, 1-Default (default)£¬2-Option£¬3-Notify;
account.6.nat.udp_update_enable = 1

#Specify the keep-alive interval (in seconds), the default value is 30.
account.6.nat.udp_update_time = 30

#Enable or disable the NAT Rport; 0-Disabled (default), 1-Enabled;
account.6.nat.rport = 0


#######################################################################################
##                            Account6 Advance Settings                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.advanced.timer_t1 = 0.5
##voice_mail.number.X = 

#Configure the session timer (in seconds), the default value of T1, T2, T3 is 0.5, 4, 5.
account.6.advanced.timer_t1 = 0.5
account.6.advanced.timer_t2 = 4
account.6.advanced.timer_t4 = 5


voice_mail.number.5 = 


#######################################################################################
##                            Subscribe                                              ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.subscribe_mwi = 

account.6.subscribe_mwi = 0
account.6.subscribe_mwi_expires = 3600

#Enable or disable the phone to subscribe to the voicemail through the message waiting indicator; 0-Disabled (default), 1-Enabled;
account.6.subscribe_mwi_to_vm = 0

account.6.subscribe_acd_expires= 3600


#######################################################################################
##                            BLF List                                               ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.blf.blf_list_uri = 

#Configure the BLF list URI (a SIP URI, or use part of the SIP URI). For example, "2300_blflist@domain.com" or "2300_blflist".
account.6.blf.blf_list_uri = 

account.6.blf_list_code = 
account.6.blf_list_barge_in_code = 
account.6.blf.subscribe_period = 1800

account.6.blf.subscribe_event =
account.6.out_dialog_blf_enable = 0


#######################################################################################
##                            BLA/SCA                                                ##                                                                          
#######################################################################################
## ¡°X¡± ranges from 1 to 6;
##account.X.shared_line =

#Assign account1 as shared line; 0-Disabled (default), 1-Broadsoft SCA, 2-BLA;
account.6.shared_line = 

#Configure BLA number for account1 and the subscribe period (in seconds). It ranges from 60 to 7200, the default value is 300.
account.6.bla_number = 
account.6.bla_subscribe_period = 300

#######################################################################################
##                            Audio Codec                                            ##                                                                          
#######################################################################################
#Audio codecs for account1 (Y ranges from 1 to 11).
#Enable or disable the specified codec; 0-Disabled, 1-Enabled;
#account.6.codec.Y.enable = 
#The type of the specified codec.
#account.6.codec.Y.payload_type = 
#The priority of the specified codec. It's available when the codec is enabled.
#account.6.codec.Y.priority = 
#The payload of the specified codec.
#account.6.codec.Y.rtpmap = 

account.6.codec.1.enable = 1
account.6.codec.1.payload_type = PCMU
account.6.codec.1.priority = 1
account.6.codec.1.rtpmap = 0

account.6.codec.2.enable = 1
account.6.codec.2.payload_type = PCMA
account.6.codec.2.priority = 2 
account.6.codec.2.rtpmap = 8

account.6.codec.3.enable = 0 
account.6.codec.3.payload_type = G723_53
account.6.codec.3.priority =0
account.6.codec.3.rtpmap = 4

account.6.codec.4.enable = 0
account.6.codec.4.payload_type = G723_63
account.6.codec.4.priority = 0
account.6.codec.4.rtpmap = 4

account.6.codec.5.enable = 1
account.6.codec.5.payload_type = G729
account.6.codec.5.priority = 3
account.6.codec.5.rtpmap = 18

account.6.codec.6.enable = 1
account.6.codec.6.payload_type = G722
account.6.codec.6.priority = 4
account.6.codec.6.rtpmap = 9

account.6.codec.7.enable = 0
account.6.codec.7.payload_type = iLBC
account.6.codec.7.priority =  0
account.6.codec.7.rtpmap = 106

account.6.codec.8.enable = 0
account.6.codec.8.payload_type = G726-16
account.6.codec.8.priority = 0
account.6.codec.8.rtpmap = 103

account.6.codec.9.enable = 0
account.6.codec.9.payload_type = G726-24
account.6.codec.9.priority = 0
account.6.codec.9.rtpmap = 104

account.6.codec.10.enable = 0
account.6.codec.10.payload_type = G726-32 
account.6.codec.10.priority = 0 
account.6.codec.10.rtpmap = 102

account.6.codec.11.enable = 0
account.6.codec.11.payload_type = G726-40
account.6.codec.11.priority = 0
account.6.codec.11.rtpmap = 105

account.6.codec.12.enable = 0
account.6.codec.12.payload_type = GSM
account.6.codec.12.priority = 0
account.6.codec.12.rtpmap = 3


#######################################################################################
##                            Audio Advanced                                         ##                                                                          
#######################################################################################
#Specify whether to encrypt the SIP messages; 0-Disabled (default), 1-Forced, 2-Negotiated;
account.6.srtp_encryption = 

#Configure the RTP packet time. The valid values are 0 (Disabled), 10, 20 (default), 30, 40, 50, 60.
account.6.ptime = 


#######################################################################################
##                            Anonymous Call                                         ##                                                                          
#######################################################################################
account.6.anonymous_call = 0
account.6.anonymous_call_oncode = 
account.6.anonymous_call_offcode = 

account.6.reject_anonymous_call = 
account.6.anonymous_reject_oncode = 
account.6.anonymous_reject_offcode = 

#######################################################################################
##                            Pickup Code                                            ##                                                                          
#######################################################################################
account.5.dialoginfo_callpickup = 0

#Configure the directed and group pickup codes for account 1, the settings on a per-account basis take precedence over the settings on the phone.
account.6.group_pickup_code = 
account.56.direct_pickup_code = 

#######################################################################################
##                            DTMF                                                   ##                                                                          
#######################################################################################
#Configure the DTMF type; 0-INBAND, 1-RFC2833 (default), 2-SIP INFO, 3-AUTO+SIP INFO;
account.6.dtmf.type = 

#Configure the DTMF info type when using the SIP INFO; 0-Disabled (default), 1-DTMF-Relay, 2-DTMF, 3-Telephone-Event;
account.6.dtmf.info_type = 

#Configure the RFC2833 payload. It ranges from 96 to 255, the default value is 101.
account.6.dtmf.dtmf_payload = 

#######################################################################################
##                            Alert info                                             ##                                                                          
#######################################################################################
#Enable or disable to use the Distinctive Ring Tones;  0-Disabled , 1-Enabled(default);
account.6.alert_info_url_enable = 

#Assign a ringtone for account2. The system ring tones are: common (default), Ring1.wav, Ring2.wav,¡­¡­Ring8.wav.
#If you set the custom ring tone (Busy.wav) for the phone, the value is: account.2.ringtone.ring_type = Config:Busy.wav
#If you set the system ring tone (Ring2.wav) for the phone, the value is: account.2.ringtone.ring_type = Resource:Ring2.wav
account.6.ringtone.ring_type =  

account.6.picture_info_enable = 1

#######################################################################################
##                            Conference                                             ##                                                                          
#######################################################################################
#Configure the conference type; 0-Local (default), 2-Network Conference;
account.6.conf_type = 

#Configure the conference URI (a SIP URI, or use part of the SIP URI). For example, "conference@domain.com" or "conference". 
account.6.conf_uri = 

#######################################################################################
##                            cid source                                             ##                                                                          
#######################################################################################
#Configure the type of SIP header(s) to carry the caller ID; 0-FROM (default), 1-PAI 2-PAI-FROM, 3-PRID-PAI-FROM, 4-PAI-RPID-FROM, 5-RPID-FROM;
account.5.cid_source = 

account.6.cid_source_privacy = 1
account.6.cid_source_ppi = 1
account.6.cp_source = 0

#######################################################################################
##                            Session Timer                                          ##                                                                          
#######################################################################################
#Enable or disable the session timer, 0-Disabled (default), 1-Enabled;  
account.6.session_timer.enable = 

#Configure the refresh session timer interval (in seconds). It ranges from 1 to 9999.
account.6.session_timer.expires = 

#Configure the session timer refresher; 0-Uac (default), 1-Uas; 
account.6.session_timer.refresher = 

#######################################################################################
##                            Music on Hold                                          ##                                                                          
#######################################################################################
#Configure the type of Music on Hold; 0-Send the INVITE request to Music on Hold Server then hold the call; 1-Hold the call then send the INVITE request to Music on Hold Server;
#Require reboot;
account.6.music_on_hold_type = 

account.6.music_server_uri = 

#######################################################################################
##                            Advanced                                               ##                                                                          
#######################################################################################
#Enable or disable the auto answer feature; 0-Disabled (default), 1-Enabled;
account.6.auto_answer = 

#Enable or disable the phone to record the missed call; 0-Disabled, 1-Enabled (default);
account.6.missed_calllog = 

#Enable or disable the 100 reliable retransmission; 0-Disabled (default), 1-Enabled;
account.6.100rel_enable = 

#Enable or disable the "user=phone"; 0-Disabled (default), 1-Enabled;
account.6.enable_user_equal_phone = 

#Enbale or diable the simplified header field feature; 0-Disabled, 1-Enabled (default);
account.6.compact_header_enable = 

#######################################################################################
##                                   DND                                             ##                                       
#######################################################################################
account.6.dnd.enable = 
account.6.dnd.on_code = 
account.6.dnd.off_code =

#######################################################################################
##                                 Call Forward                                      ##                                       
#######################################################################################
#Enable or disable the busy forward feature for account; 0-Disabled (default), 1-Enabled;
account.6.always_fwd.enable = 
account.6.always_fwd.target = 
account.6.always_fwd.off_code =
account.6.always_fwd.on_code =

account.6.busy_fwd.enable =          
account.6.busy_fwd.target =         
account.6.busy_fwd.off_code =
account.6.busy_fwd.on_code =

#Enable or disable the no answer forward feature for account1; 0-Disabled (default), 1-Enabled; 
#Configure the waiting ring times before forwarding. It ranges from 0 to 20, the default value is 2.
account.6.timeout_fwd.enable = 
account.6.timeout_fwd.target =
account.6.timeout_fwd.timeout =  
account.6.timeout_fwd.off_code =
account.6.timeout_fwd.on_code = 

#######################################################################################
##                                 Broadsoft Hoteling                                ##                                       
#######################################################################################
account.6.hoteling.enable = 0
account.6.hoteling.user_id = 0
account.6.hoteling.password = 0
account.6.hoteling.auto_login_enable = 0

#######################################################################################
##                                 Broadsoft ACD                                     ##                                       
#######################################################################################
account.6.acd.enable = 0
account.6.acd.unavailable_reason_enable = 0
account.6.acd.available = 0
account.6.acd.initial_state = 1

#######################################################################################
##                                 Broadsoft ACD Call Center                         ##                                       
#######################################################################################
#Configure the ACD reason code of Broadsoft.(The valus of Y must be consecutive numbers.)
#account.6.bw_acd_reason_code.Y = 500(lunch time)
account.6.bw_acd_reason_code.1 = 

account.6.reason_code.1 =
account.6.reason_code_name.1 = 0
account.6.bw_disp_code.1 =
account.6.bw_disp_code_name.1 =
account.6.supervisor_info_code.1 =
account.6.supervisor_info_code_name.1 =

#######################################################################################
##                                 Broadsoft Call Center                             ##                                       
#######################################################################################
account.6.call_center.call_info_enable = 0
account.6.call_center.show_call_info_time = 30
account.6.call_center.disp_code_enable = 0
account.6.call_center.trace_enable = 0
account.6.call_center.emergency_enable = 0
account.6.call_center.queue_status_enable = 0
account.6.call_center.queue_status_light_enable = 0

#######################################################################################
##                                 Broadsoft XSI                                     ##                                       
#######################################################################################
account.6.xsi.user =
account.6.xsi.password =
account.6.xsi.host =
account.6.xsi.server_type =
account.6.xsi.port =


#######################################################################################
##                                 Time                                              ##                                       
#######################################################################################
#Configure the time zone and time zone name. The time zone ranges from -11 to +12, the default value is +8.
#local_time.time_zone = +8
#local_time.time_zone_name = China(Beijing) 
local_time.time_zone = 
local_time.time_zone_name = 


#######################################################################################
##                                   NETWORK                                         ##                                       
#######################################################################################
##0-ipv4£¬1-ipv6,2-ipv4&ipv6
network.ip_address_mode = 2

network.ipv6_prefix = 64
network.ipv6_internet_port.type = 
network.ipv6_internet_port.ip = 
network.ipv6_internet_port.gateway = 
network.ipv6_primary_dns = 
network.ipv6_secondary_dns = 
network.ipv6_icmp_v6.enable = 

#Configure the WAN port type; 0-DHCP (default), 1-PPPoE, 2-Static IP Address;
#Require reboot;
network.internet_port.type = 

#Configure the static IP address, subnet mask, gateway and DNS server;
#Require Reboot;
network.internet_port.ip =
network.internet_port.mask = 
network.internet_port.gateway =
network.primary_dns= 
network.secondary_dns = 













 