<style>
    #queue-external-agent-grid select{
        width: auto;
    }
</style>
<?php
$this->widget('bootstrap.widgets.TbGridView', array(
    'id' => 'queue-external-agent-grid',
    'dataProvider' => $tier->searchQueueMembers($model->id, TiersType::external),
    // 'filter'=>$tier,
    'summaryText' => false,
    'selectableRows' => 0,
    'type' => 'striped bordered condensed',
    'itemsCssClass' => 'plTable items',
    'rowCssClassExpression' => '$data->id==""?"hideRow":""',
    'columns' => array(
        array(
            'name' => 'userId',
            'header' => $tier->getAttributeLabel('externalAgentId'),
            'headerHtmlOptions' => array('data-translation-id' => 'TIERS_MODEL_EXTERNAL_AGENT_ID', 'style' => 'min-width:180px;'),
            'value' => array($this, 'renderExternalAgentsDropdown'),
//                 'footer'=>$html,
            'footer' => $this->renderPartial('externalAgentDropdown', array('availableUsers' => $availableExternalAgents, 'tier' => $tier), true),
        ),
        array(
            'name' => 'level',
            'header' => $tier->getAttributeLabel('level'),
            'headerHtmlOptions' => array('data-translation-id' => 'TIERS_MODEL_LEVEL', 'style' => 'width:50px;'),
            'value' => array($this, 'renderExternalAgentsDropdown'),
            'footer' => $this->renderPartial('externalAgentInput', array('tier' => $tier, 'row' => 'footer', 'data' => $tier, 'column' => 'level'), true),
            'visible' => $model->getVisibilityByLicense()
        ),
        array(
            'name' => 'position',
            'type' => 'raw',
            'header' => $tier->getAttributeLabel('position'),
            'headerHtmlOptions' => array('data-translation-id' => 'TIERS_MODEL_POSITION', 'style' => 'width:74px;'),
            'value' => array($this, 'renderExternalAgentsDropdown'),
            'footer' => $this->renderPartial('externalAgentInput', array('tier' => $tier, 'row' => 'footer', 'data' => $tier, 'column' => 'position'), true),
            'visible' => $model->getVisibilityByLicense()
        ),
        array(
            'name' => 'timeout',
            'type' => 'raw',
            'header' => $tier->getAttributeLabel('timeout'),
            'headerHtmlOptions' => array('data-translation-id' => 'TIERS_MODEL_TIMEOUT', 'style' => 'width:110px;'),
            'value' => array($this, 'renderExternalAgentsDropdown'),
            'footer' => $this->renderPartial('externalAgentInput', array('tier' => $tier, 'row' => 'footer', 'data' => $tier, 'column' => 'timeout'), true),
        ),
        array(
            'class' => 'bootstrap.widgets.TbButtonColumn',
            'htmlOptions' => array(
                'class' => 'buttonColumnIcons',
                //'title'=>__("ROUTING_QUEUE_RULE_REMOVE_RULE"),
                //'title'=>__("GRID_DELETE_TOOLTIP"),
                //'data-translation-id'=>"GRID_DELETE_TOOLTIP"
                'title' => Yii::t('zii', 'Delete'),
            ),
            'template' => '{delete}',
            'deleteConfirmation' => false,
            'buttons' => array(
                'delete' => array(
                    'url' => '',
                    'label' => '',
                    'options' => array('class' => 'removeMember'),
                    'visible' => 'true', //FIXME
                    'click' => 'js:function(){       
                                        removeMember(this);
                                        return false;
                            }',
                ),
            ),
            'footer' => '<div class="icon-plus addExternalAgent" style="cursor: pointer;"
                    id="addExternalAgent2"
            		data-toggle="tooltip" title="' . __("ROUTING_QUEUE_RULE_ADD_RULE") . '"
            		data-translation-id="ROUTING_QUEUE_RULE_ADD_RULE">
            		</div>',
        ),
    ),
        )
);
?> 
<style>
    .removeMember{
        background-color: #fff;
    }
    .addExternalAgent{
        background-color: #fff;
        text-align: right;
    }
    .hideRow{
        display:none;
    }
</style>
<script>
    if (!document.getElementById('externalAgentDropdown').options[document.getElementById('externalAgentDropdown').options.selectedIndex]) {
        $('#queue-external-agent-grid tfoot ').hide();
    }
    var firstAgentRule = $('#queue-external-agent-grid tbody tr:first-child');
    var agentIndex = $('#queue-external-agent-grid tbody').find('.icon-trash').length;

    $('.addExternalAgent').click(function () {
        agentIndex = agentIndex + 1;

        var label = $('#externalAgentDropdown').find(':selected').text();
        var title = $('#externalAgentDropdown').find(':selected').attr('title');
        var userId = $('#externalAgentDropdown').find(':selected').val();

        var AgentsDefaultLevel = $('#ExternalAgent_footer_level').val();
        var AgentsDefaultPosition = $('#ExternalAgent_footer_position').val();
        var AgentsDefaultTimeout = $('#ExternalAgent_footer_timeout').val();

        $('#ExternalAgent_footer_level').val(AgentsDefaultLevel);
        $('#ExternalAgent_footer_position').val(AgentsDefaultPosition);
        $('#ExternalAgent_footer_timeout').val(AgentsDefaultTimeout);

        $('#externalAgentDropdown').find(':selected').remove();


        var result = firstAgentRule.clone();
        $('#queue-external-agent-grid > table').append(result.addClass('new-item-animated'));

        var labelContainer = $("<div />")
                .attr('title', title)
                .text(label);
        var userIDInput = $("<input />")
                .attr('type', 'hidden')
                .attr('name', 'ExternalAgent[0][userId]')
                .val(userId)
                .html('<input type="hidden" name="ExternalAgent[0][dataId]" value="" ></input>' +
                        '<input type="hidden" name="ExternalAgent[0][type]" value="1" ></input>' //1 == TiersType::external
                        );
        $(result).find('td:first-child').text('').append(labelContainer).append(userIDInput);

        if (typeof AgentsDefaultLevel !== "undefined" && typeof AgentsDefaultPosition !== "undefined") {
            $(result).find('td:first-child').next().find('select').val(AgentsDefaultLevel);
            $(result).find('td:first-child').next().next().find('input').val(AgentsDefaultPosition);
            $(result).find('td:first-child').next().next().next().find('input').val(AgentsDefaultTimeout);
        } else {
            $(result).find('td:first-child').next().find('input').val(AgentsDefaultTimeout);
        }

        $('#queue-external-agent-grid tbody tr:last-child').show();

        $('#queue-external-agent-grid tbody tr:last-child input').each(function (i, e) {
            e.name = e.name.replace('0', agentIndex);
            e.id = e.id.replace('0', agentIndex);
            if (e.id == 'Tiers_' + agentIndex + '_dataId') {
                e.value = '';
            }
//                  
        });
        // get the selectet label of dropdown
        $('#queue-external-agent-grid tbody tr:last-child select').each(function (i, e) {
            e.name = e.name.replace('0', agentIndex);
            e.id = e.id.replace('0', agentIndex);
        });

        if (!document.getElementById('externalAgentDropdown').options[document.getElementById('externalAgentDropdown').options.selectedIndex]) {
            $('#queue-external-agent-grid tfoot ').hide();
        }
    });
</script>