<?php
$form = $this->beginWidget('ext.PlGrid.PlActiveForm', array(
    'id' => 'playlist-form',
    'gridId' => 'playlist-grid',
    'displayProgressBar' => true,
    'action' => $model->isNewRecord ? array('createPlaylist') : array()
        ));

echo $form->textFieldRow($model, 'name', array(
    'class' => 'span3',
    'data-translation-id' => 'PLAYLIST_MODEL_NAME',
));

echo $form->textFieldRow($model, 'descr', array(
    'class' => 'span3',
    'data-translation-id' => 'PLAYLIST_MODEL_DESCR',
));

echo $form->labelEx($model, 'data', array('class' => 'control-label'));

echo '<div class="controls">';
echo $form->fileField($model, 'data', array(
    'accept' => 'audio/wav',
    "data-custom-contexthelp-key" => "SYSTEMAUDIOFILES_DATA_UPLOAD_CUSTOM_CONTEXTHELP"
));
echo "<div class='showError'>";
echo $form->error($model, 'data');
echo '</div>';
echo '</div>';

echo CHtml::hiddenField('recordId', "", array());
echo CHtml::activeHiddenField($model, 'playlistID', array(
    'value' => $playlistID,
));
$this->endWidget();

if (Yii::app()->user->translateMode) {

    $translationTarget = '<i data-translation-target=';
    $translationID = '<i data-translation-id';
    $dataTranslation = 'AUDIOFILES_MODEL_DATA_TRANSLATION';
    $audioFilesData = 'AUDIOFILES_MODEL_DATA';
    $audioFormatErrMsg = 'AUDIOFILES_ERROR_MESSAGE_NO_VALID_AUDIO_FORMAT';
    $exceptedFile = 'FILE_VALIDATOR_EXCEPTED_FILE_INFO';
    $receivedFile = 'FILE_VALIDATOR_RECEIVED_FILE_INFO';


    echo $translationTarget . '="' . $dataTranslation . '" data-translation-id="' . $audioFilesData . '"></i><br />';
    echo $translationTarget . '="' . $dataTranslation . '" data-translation-id="' . $audioFormatErrMsg . '"></i><br />';

    echo $translationID . '="' . $exceptedFile . '">' . $exceptedFile . ': ' . __($exceptedFile) . '</i><br />';
    echo $translationID . '="' . $receivedFile . '">' . $receivedFile . ': ' . __($receivedFile) . '</i><br />';
}