<h3>Wizard</h3>
<div class="btn-toolbar">
    <?php
        $basePath = str_replace('\'', '/', Yii::getPathOfAlias('webroot') . '/');
        $files = glob('less/presets/wizard/*.{less}', GLOB_BRACE);

        
        foreach($files as $file) {
            $path_parts = pathinfo($file);
            echo $path_parts['filename'];
            
            $this->widget('bootstrap.widgets.TbButton', array(
                'label'=> ucfirst($path_parts['filename']),
                'icon'=>'magic',
                'loadingText'=>'loading...',
                'htmlOptions' => array(
                    'class' => 'renderLessFile',
                    'data-color' => $path_parts['filename'],
                    'data-type' => 'wizard',
                )
            ));
        }
    ?>
</div>
<h3>Full</h3>
<div class="btn-toolbar">
    <?php
        $basePath = str_replace('\'', '/', Yii::getPathOfAlias('webroot') . '/');
        $files = glob('less/presets/theme/*.{less}', GLOB_BRACE);

        
        foreach($files as $file) {
            $path_parts = pathinfo($file);
            echo $path_parts['filename'];
            
            $this->widget('bootstrap.widgets.TbButton', array(
                'label'=> ucfirst($path_parts['filename']),
                'type'=>'primary',
                'icon'=>'magic',
                'htmlOptions' => array(
                    'class' => 'renderLessFile',
                    'data-color' => $path_parts['filename'],
                    'data-type' => 'theme',
                )
            ));
        }
    ?>
</div>


<script>
$('.renderLessFile').click(function(){
    var btn = $(this);
    btn.button('loading');
    
    $.post('<?php echo $this->createUrl('renderFile');?>', {
        color: btn.data("color"), 
        type: btn.data("type"),
        <?php echo Yii::app()->request->csrfTokenName;?>: '<?php echo Yii::app()->request->csrfToken;?>'
    }).done(function(data) {
      btn.button('reset');
    });
});    
</script>