<style>
#resetPasswordInner {
  border-radius: 3px;
  padding-top:10px; 
}
.error {
border-color:#b94a48;
color:#b94a48;
}
#submitButton{
    border-radius: 3px;
    cursor: pointer;
    width: 132px;
    height: 31px;
    border: 1px solid #adadad;
    box-shadow: inset 0px 1px 0px #E9ECF3;
    background-image: linear-gradient(bottom,#a9acbd 0%,#d9dfeb 100%);
    background-image: -o-linear-gradient(bottom,#a9acbd 0%,#d9dfeb 100%);
    background-image: -moz-linear-gradient(bottom,#a9acbd 0%,#d9dfeb 100%);
    background-image: -webkit-linear-gradient(bottom,#a9acbd 0%,#d9dfeb 100%);
    background-image: -ms-linear-gradient(bottom,#a9acbd 0%,#d9dfeb 100%);
    background-image: -webkit-gradient(linear,left bottom,left top,color-stop(0,#a9acbd),color-stop(1,#d9dfeb));
    color: #6d7078;
    text-shadow: 0px 1px 0px #eee;
    box-shadow: 0 1px 0 #eee;
    margin-right: 16px;
    margin-left: 8px;
}

</style>
<?php
if(cfg("TRANSLATE_MODE") && app()->params->devMode) {
    cs()->registerScriptFile(Yii::app()->baseUrl . '/js/jquery.contextmenu.js', CClientScript::POS_HEAD);
    cs()->registerScriptFile(Yii::app()->baseUrl . '/js/pl-translator.js', CClientScript::POS_HEAD);
    cs()->registerScript('translation', "
        var translator;
        $(function() {
            translator = new $.plTranslator({
                url: '".url('translation')."',
            });
        });
        
        $(document).ajaxSuccess(function() {
            translator.update();
        });
    ");
}

$this->pageTitle=Yii::app()->name . ' - Login';
?>
<div id="loginWrapper">
<!-- this ids are needed for css  -->
<div id="loginOuter"> 
  <div id="loginHeader">
	  <h1 data-translation-id="RESET_PASSWORD_HEADER" ><?php echo __("RESET_PASSWORD_HEADER");?></h1>
  </div>
  <div id="resetPasswordInner">
		
<?php 

    $form = $this->beginWidget('CActiveForm', array(
			'id'=>'resetPassword-form',
			'enableClientValidation'=>true,
			'clientOptions'=>array(
				'validateOnSubmit'=>true,
			),
    ));
    echo $form->passwordField($model,'password',array(
            'value'=>'',
            'placeholder'=>__('RESET_PASSWORD_FORM_PASSWORD_FIELD'),
            "data-translation-target"=>"RESET_PASSWORD_FORM_PASSWORD_FIELD",
            "data-translation-id"=>"RESET_PASSWORD_FORM_PASSWORD_FIELD"
        )
    );
    echo $form->passwordField($model,'password',array(
	'name'=>'User[confirmPassword]',
	'value'=>'',
        'placeholder'=>__('RESET_PASSWORD_FORM_CONFIRM_PASSWORD_FIELD'),
        "data-translation-id"=>"RESET_PASSWORD_FORM_CONFIRM_PASSWORD_FIELD"
      )
    );
    
    echo CHtml::submitButton(__('GLOBAL_SAVE_BUTTON'),array('id'=>'submitButton'));
    
    echo "<div style='margin-top:10px'>";
    echo $form->error($model,'password',array('style'=>'color:#b94a48'));
    echo "</div>";
    $this->endWidget();
?>	

	</div>

</div>
<?php
if (cfg("TRANSLATE_MODE")) {

?>

<i data-translation-target="RESET_PASSWORD_FORM_PASSWORD_FIELD" data-translation-id="RESET_PASSWORD_ERROR_NO_PASSWORD_DEFINED"><?php echo "RESET_PASSWORD_ERROR_NO_PASSWORD_DEFINED : " . __("RESET_PASSWORD_ERROR_NO_PASSWORD_DEFINED")?></i>

<?php
}
?>
